Index: ether_megapoli/trunk/web/src/ApplicationResources_en.properties
===================================================================
--- ether_megapoli/trunk/web/src/ApplicationResources_en.properties	(revision 305)
+++ ether_megapoli/trunk/web/src/ApplicationResources_en.properties	(revision 306)
@@ -35,4 +35,17 @@
 app.version=Version
 
+app.credits=Credits
+app.mentions=Legals
+app.infos=Informations
+app.backoffice=Backoffice
+app.backoffice.help=Access to the backoffice
+app.administrator=Administrator
+app.coordinator=Coordinator
+app.technician=Technician
+app.measure.days=Measures days
+
+inWork=Work in progress..
+
+
 #contacts
 contact=Contact us
@@ -82,13 +95,4 @@
 data.intro0=This area is accessible for Megapoli project members only. 
 data.intro1=You can ask for a login account by sending an email to the 
-data.authentification=Authentification
-data.authentification.intro=Please login to access the protected areas of this website.
-data.authentification.login=Login
-data.authentification.password=Password
-data.authentification.sign=Sign in
-data.authentification.loginForget=Forgot your username ?
-data.authentification.loginForget.help=If you remember your password, try logging in with your email
-data.authentification.pwdForget=Forgot your password ?
-data.authentification.inscription=New inscription
 
 data.upload=Data upload
@@ -375,11 +379,4 @@
 errors.init.failed=The application initiation failed: you won't be able to upload new data to the server!<br>
 
-errors.logon.failed=The logon transaction failed. Please contact the <a href\='mailto\:{0}?subject\=[MEGAPOLI]'>webmaster</a> to report this problem.<br>
-errors.logon.notFound=Unknown login.<br> To register and access the protected areas of this site, please click on 'New inscription'.<br>
-errors.logon.wrongPassword=Wrong password.
-errors.logon.login=Please type your login (should be your email).<br>
-errors.logon.password=Please type your password.<br>
-errors.logon.notAccepted=You are not allowed to access to protected areas.
-
 errors.upload.file=You must select a file!<br>
 errors.upload.failed=The upload failed...<br>
@@ -434,87 +431,102 @@
 errors.access.failed.sel=You must select at least 1 parameter or 1 sensor or 1 platform or 1 data set
 errors.access.novalues=No download possible
-errors.access.login=You lost your session, please click on "Data access" to enter again your login and your password.
-
-
-################################################################
-####################### ETHER ##################################
-################################################################
-app.credits=Credits
-app.mentions=Legals
-app.infos=Informations
-app.dataProtocolAccept=You have to accept the data protocol to ask for an account
-app.dataProtocolFields=Fields 'LastName', 'Email' and 'Password' must be filled
-app.dataProtocol.account=Your account is waiting for administrator validation. You will receive an email when it will be activated.
-app.dataProtocol.alreadyExist=This email is already used, you have to give another one
-app.unknown.login=Unknown login
-app.access.not.allowed=You are not authorized to access to backoffice
-app.backoffice=Backoffice
-app.backoffice.help=Access to the backoffice
-app.administrator=Administrator
-app.coordinator=Coordinator
-app.technician=Technician
-app.measure.days=Measures days
-
-data.visualization.general.text=In this area you can visualize available data with the following types of visualization : <ul><li>one parameter by plateform</li><li>one parameter by many plateforms</li><li>differents parameters by plateform</li><li>2D visualizations</li></ul>
-data.visualization.general.text2=You can visualize up two differents parameters at the same time for many plateforms
-data.visualization.general.example=Examples of time series :
-data.visualization.general.example.param.site=Ozone at the LHVP
-data.visualization.general.example.param.sites=Ozone at the LHVP and the SIRTA
-data.visualization.general.example.params.site=Ozone and Temperature at the SIRTA
-data.visualization.general.example.params.sites=Ozone (at the LHVP and SIRTA) and Temperature (at the SIRTA)
-data.visualization.general.example.2D=Example of 2D :
-data.visualization.general.example.2D.ATR42=Measurements on ATR-42 board
-
-####################### VISUALIZATION #######################
-inWork=Work in progress..
-all.visualization=Visualization
-all.visualization.cap=VISUALIZATION
-data.visualization.add=Add
+
+################################################################
+####################### LOGIN ##################################
+################################################################
+login.authentification=Authentification
+login.intro=Please login to access the protected areas of this website.
+login=Login
+login.password=Password
+login.sign=Sign in
+login.loginForget=Forgot your username ?
+login.loginForget.help=If you remember your password, try logging in with your email
+login.pwdForget=Forgot your password ?
+login.inscription=New inscription
+login.text=Please login to access the protected areas of this website.
+
+login.dataProtocolAccept=You have to accept the data protocol to ask for an account
+login.dataProtocolFields=Fields 'LastName', 'Email' and 'Password' must be filled
+login.dataProtocol.account=Your account is waiting for administrator validation. You will receive an email when it will be activated.
+login.dataProtocol.alreadyExist=This email is already used, you have to give another one
+
+login.error.notAccepted=You are not allowed to access to protected areas.
+login.error.bo.notAccepted=You are not authorized to access to backoffice.
+login.error.notFound=Unknown login.<br> To register and access the protected areas of this site, please click on 'New inscription'.<br>
+login.error.wrongPassword=Wrong password.
+login.error.failed=The logon transaction failed. Please contact the <a href\='mailto\:{0}?subject\=[MEGAPOLI]'>webmaster</a> to report this problem.<br>
+login.error.unknown=You are not authentified or you lost your session, please register.
+
+# TODO : remove theses 2 lignes after remove InitLogonAccess...
+login.error.login=Please type your login (should be your email).<br>
+login.error.password=Please type your password.<br>
+
+################################################################
+##################### VISUALIZATION ############################
+################################################################
+
+visualization.general.text=In this area you can visualize available data with the following types of visualization : <ul><li>one parameter by plateform</li><li>one parameter by many plateforms</li><li>differents parameters by plateform</li><li>2D visualizations</li></ul>
+visualization.general.text2=You can visualize up two differents parameters at the same time for many plateforms
+visualization.general.example=Examples of time series :
+visualization.general.example.param.site=Ozone at the LHVP
+visualization.general.example.param.sites=Ozone at the LHVP and the SIRTA
+visualization.general.example.params.site=Ozone and Temperature at the SIRTA
+visualization.general.example.params.sites=Ozone (at the LHVP and SIRTA) and Temperature (at the SIRTA)
+visualization.general.example.2D=Example of 2D :
+visualization.general.example.2D.ATR42=Measurements on ATR-42 board
+
+visualization=Visualization
+visualization.cap=VISUALIZATION
+visualization.add=Add
 
 data.visualization=Data
-data.visualization.2D=2D
-data.visualization.title=Observations visualisation
-data.visualization.noPlateform=No plateform
-data.visualization.selectPf=Plateforms
-data.visualization.noParameter=No parameter
-data.visualization.selectParameter=Parameters
-data.visualization.selectPeriod=Period
-data.visualization.selectDate=Select a date
-data.visualization.selectYear=Year
-data.visualization.selectMonth=Month
-data.visualization.selectDay=Day
-data.visualization.selectTime=Select a time
-data.visualization.selectHour=Hour
-data.visualization.selectMinute=Minute
-data.visualization.BeginDate=Start date :
-data.visualization.EndDate=End date :
-data.visualization.Unvalid_Period=Unvalid periode !
-data.visualization.titleChoice=Title (modifiable)
-data.visualization.type=Plot's type
-data.visualization.graph=Final quicklook :
-data.visualization.graph.noPlot=No quicklook
-data.visualization.button.clear=Clear
-data.visualization.button.init=Init
-data.visualization.button.visualize=Visualization
-data.visualization.button.download=Download
-data.visualization.button.download.info=(file .tgz)
-data.visualization.loading.data=Data downloading
-data.visualization.quicklook=Quicklook
-data.visualization.parameter=parameter(s)
-data.visualization.parameter.buttons.help=Help
-data.visualization.parameter.buttons.help.text=By clicking on 'Add' you add the selected parameter to the final quicklook. For a time serie you can visualize up to two differents parameters at the same time for many plateforms.For a 2D only one parameter is available.<BR><BR>The button 'Init' remove the parameters from the list.
-
-data.visualization.axeType.TimeLine=Time serie (line)
-data.visualization.axeType.TimePoints=Time serie (dots)
-data.visualization.axeType.2DContour=2D (contour)
-data.visualization.axeType.2DPoints=2D (dots)
-
-data.authentification.text=Please login to access the protected areas of this website.
+visualization.2D=2D
+visualization.title=Observations visualisation
+visualization.noPlateform=No plateform
+visualization.selectPf=Plateforms
+visualization.noParameter=No parameter
+visualization.selectParameter=Parameters
+visualization.selectPeriod=Period
+visualization.selectDate=Select a date
+visualization.selectYear=Year
+visualization.selectMonth=Month
+visualization.selectDay=Day
+visualization.selectTime=Select a time
+visualization.selectHour=Hour
+visualization.selectMinute=Minute
+visualization.BeginDate=Start date :
+visualization.EndDate=End date :
+visualization.Unvalid_Period=Unvalid periode !
+visualization.titleChoice=Title (modifiable)
+visualization.type=Plot's type
+visualization.graph=Final quicklook :
+visualization.graph.noPlot=No quicklook
+visualization.button.clear=Clear
+visualization.button.init=Init
+visualization.button.visualize=Visualization
+visualization.button.download=Download
+visualization.button.download.info=(file .tgz)
+visualization.loading.data=Data downloading
+visualization.quicklook=Quicklook
+visualization.parameter=parameter(s)
+visualization.parameter.buttons.help=Help
+visualization.parameter.buttons.help.text=By clicking on 'Add' you add the selected parameter to the final quicklook. For a time serie you can visualize up to two differents parameters at the same time for many plateforms.For a 2D only one parameter is available.<BR><BR>The button 'Init' remove the parameters from the list.
+
+visualization.axeType.TimeLine=Time serie (line)
+visualization.axeType.TimePoints=Time serie (dots)
+visualization.axeType.2DContour=2D (contour)
+visualization.axeType.2DPoints=2D (dots)
+
 data.access.extract.process.short=The downloading is in progress. You will receive an e-mail to get back the generated data file(s).
 data.access.extract.process.error=Download error. <BR>Please try to correct the following errors or contact the administrator with the detected errors.
 
+################################################################
+###################### SIMULATION ##############################
+################################################################
 simulation.visualization=Simulations
 
-####################### PLOT #######################
+################################################################
+######################## PLOT ##################################
+################################################################
 plot.published=Published
 plot.dataNumber=Number of extracted datas :
@@ -526,5 +538,7 @@
 
 
-####################### BACKOFFICE #######################
+################################################################
+##################### BACKOFFICE ###############################
+################################################################
 bo.fulltitle=MEGAPOLI Backoffice
 bo.site=Megapoli