Index: ether_megapoli/trunk/web/data/upload/files.jsp
===================================================================
--- ether_megapoli/trunk/web/data/upload/files.jsp	(revision 281)
+++ ether_megapoli/trunk/web/data/upload/files.jsp	(revision 313)
@@ -12,10 +12,10 @@
 	<html:form action="/ConfirmDeletion">
 		<html:img page="/resources/images/utils/text.png" alt="file"/>&nbsp;
-		<bean:define id="pathFile" value="${categ}/${jeu}/nephelometer_ATR25_20090701_V1.txt"/>
-		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">nephelometer_ATR25_20090701_V1.txt
+		<bean:define id="pathFile" value="${categ}/${jeu}/pgadmin.log"/>
+		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">pgadmin.log
 		</html:link>&nbsp;
 		<bean:define id="modify" value="false"/>
 		<logic:iterate id="jeu" name="SES_USER" property="jeux" scope="session">
-			<logic:equal name="jeu" value="Nephelometer-ATR42">
+			<logic:equal name="jeu" value="zz">
 				<bean:define id="modify" value="true"/>	
 			</logic:equal>
@@ -26,205 +26,5 @@
 		<logic:equal name="modify" value="true">
 			&nbsp;
-			<html:hidden property="path" value="AVION/Nephelometer-ATR42/nephelometer_ATR25_20090701_V1.txt"/>
-			<html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteFile"/>
-		</logic:equal>
-	</html:form>
-	<html:form action="/ConfirmDeletion">
-		<html:img page="/resources/images/utils/text.png" alt="file"/>&nbsp;
-		<bean:define id="pathFile" value="${categ}/${jeu}/nephelometer_ATR26_20090709_V1.txt"/>
-		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">nephelometer_ATR26_20090709_V1.txt
-		</html:link>&nbsp;
-		<bean:define id="modify" value="false"/>
-		<logic:iterate id="jeu" name="SES_USER" property="jeux" scope="session">
-			<logic:equal name="jeu" value="Nephelometer-ATR42">
-				<bean:define id="modify" value="true"/>	
-			</logic:equal>
-		</logic:iterate>
-		<logic:equal name="SES_USER" property="roles" scope="session" value="<%=UserRole.COORDINATOR.name()%>">
-			<bean:define id="modify" value="true"/>
-		</logic:equal>
-		<logic:equal name="modify" value="true">
-			&nbsp;
-			<html:hidden property="path" value="AVION/Nephelometer-ATR42/nephelometer_ATR26_20090709_V1.txt"/>
-			<html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteFile"/>
-		</logic:equal>
-	</html:form>
-	<html:form action="/ConfirmDeletion">
-		<html:img page="/resources/images/utils/text.png" alt="file"/>&nbsp;
-		<bean:define id="pathFile" value="${categ}/${jeu}/nephelometer_ATR27_20090710_V1.txt"/>
-		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">nephelometer_ATR27_20090710_V1.txt
-		</html:link>&nbsp;
-		<bean:define id="modify" value="false"/>
-		<logic:iterate id="jeu" name="SES_USER" property="jeux" scope="session">
-			<logic:equal name="jeu" value="Nephelometer-ATR42">
-				<bean:define id="modify" value="true"/>	
-			</logic:equal>
-		</logic:iterate>
-		<logic:equal name="SES_USER" property="roles" scope="session" value="<%=UserRole.COORDINATOR.name()%>">
-			<bean:define id="modify" value="true"/>
-		</logic:equal>
-		<logic:equal name="modify" value="true">
-			&nbsp;
-			<html:hidden property="path" value="AVION/Nephelometer-ATR42/nephelometer_ATR27_20090710_V1.txt"/>
-			<html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteFile"/>
-		</logic:equal>
-	</html:form>
-	<html:form action="/ConfirmDeletion">
-		<html:img page="/resources/images/utils/text.png" alt="file"/>&nbsp;
-		<bean:define id="pathFile" value="${categ}/${jeu}/nephelometer_ATR28_20090713_V1.txt"/>
-		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">nephelometer_ATR28_20090713_V1.txt
-		</html:link>&nbsp;
-		<bean:define id="modify" value="false"/>
-		<logic:iterate id="jeu" name="SES_USER" property="jeux" scope="session">
-			<logic:equal name="jeu" value="Nephelometer-ATR42">
-				<bean:define id="modify" value="true"/>	
-			</logic:equal>
-		</logic:iterate>
-		<logic:equal name="SES_USER" property="roles" scope="session" value="<%=UserRole.COORDINATOR.name()%>">
-			<bean:define id="modify" value="true"/>
-		</logic:equal>
-		<logic:equal name="modify" value="true">
-			&nbsp;
-			<html:hidden property="path" value="AVION/Nephelometer-ATR42/nephelometer_ATR28_20090713_V1.txt"/>
-			<html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteFile"/>
-		</logic:equal>
-	</html:form>
-	<html:form action="/ConfirmDeletion">
-		<html:img page="/resources/images/utils/text.png" alt="file"/>&nbsp;
-		<bean:define id="pathFile" value="${categ}/${jeu}/nephelometer_ATR29_20090715_V1.txt"/>
-		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">nephelometer_ATR29_20090715_V1.txt
-		</html:link>&nbsp;
-		<bean:define id="modify" value="false"/>
-		<logic:iterate id="jeu" name="SES_USER" property="jeux" scope="session">
-			<logic:equal name="jeu" value="Nephelometer-ATR42">
-				<bean:define id="modify" value="true"/>	
-			</logic:equal>
-		</logic:iterate>
-		<logic:equal name="SES_USER" property="roles" scope="session" value="<%=UserRole.COORDINATOR.name()%>">
-			<bean:define id="modify" value="true"/>
-		</logic:equal>
-		<logic:equal name="modify" value="true">
-			&nbsp;
-			<html:hidden property="path" value="AVION/Nephelometer-ATR42/nephelometer_ATR29_20090715_V1.txt"/>
-			<html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteFile"/>
-		</logic:equal>
-	</html:form>
-	<html:form action="/ConfirmDeletion">
-		<html:img page="/resources/images/utils/text.png" alt="file"/>&nbsp;
-		<bean:define id="pathFile" value="${categ}/${jeu}/nephelometer_ATR30_20090716_V1.txt"/>
-		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">nephelometer_ATR30_20090716_V1.txt
-		</html:link>&nbsp;
-		<bean:define id="modify" value="false"/>
-		<logic:iterate id="jeu" name="SES_USER" property="jeux" scope="session">
-			<logic:equal name="jeu" value="Nephelometer-ATR42">
-				<bean:define id="modify" value="true"/>	
-			</logic:equal>
-		</logic:iterate>
-		<logic:equal name="SES_USER" property="roles" scope="session" value="<%=UserRole.COORDINATOR.name()%>">
-			<bean:define id="modify" value="true"/>
-		</logic:equal>
-		<logic:equal name="modify" value="true">
-			&nbsp;
-			<html:hidden property="path" value="AVION/Nephelometer-ATR42/nephelometer_ATR30_20090716_V1.txt"/>
-			<html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteFile"/>
-		</logic:equal>
-	</html:form>
-	<html:form action="/ConfirmDeletion">
-		<html:img page="/resources/images/utils/text.png" alt="file"/>&nbsp;
-		<bean:define id="pathFile" value="${categ}/${jeu}/nephelometer_ATR31_20090720_V1.txt"/>
-		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">nephelometer_ATR31_20090720_V1.txt
-		</html:link>&nbsp;
-		<bean:define id="modify" value="false"/>
-		<logic:iterate id="jeu" name="SES_USER" property="jeux" scope="session">
-			<logic:equal name="jeu" value="Nephelometer-ATR42">
-				<bean:define id="modify" value="true"/>	
-			</logic:equal>
-		</logic:iterate>
-		<logic:equal name="SES_USER" property="roles" scope="session" value="<%=UserRole.COORDINATOR.name()%>">
-			<bean:define id="modify" value="true"/>
-		</logic:equal>
-		<logic:equal name="modify" value="true">
-			&nbsp;
-			<html:hidden property="path" value="AVION/Nephelometer-ATR42/nephelometer_ATR31_20090720_V1.txt"/>
-			<html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteFile"/>
-		</logic:equal>
-	</html:form>
-	<html:form action="/ConfirmDeletion">
-		<html:img page="/resources/images/utils/text.png" alt="file"/>&nbsp;
-		<bean:define id="pathFile" value="${categ}/${jeu}/nephelometer_ATR32_20090721_V1.txt"/>
-		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">nephelometer_ATR32_20090721_V1.txt
-		</html:link>&nbsp;
-		<bean:define id="modify" value="false"/>
-		<logic:iterate id="jeu" name="SES_USER" property="jeux" scope="session">
-			<logic:equal name="jeu" value="Nephelometer-ATR42">
-				<bean:define id="modify" value="true"/>	
-			</logic:equal>
-		</logic:iterate>
-		<logic:equal name="SES_USER" property="roles" scope="session" value="<%=UserRole.COORDINATOR.name()%>">
-			<bean:define id="modify" value="true"/>
-		</logic:equal>
-		<logic:equal name="modify" value="true">
-			&nbsp;
-			<html:hidden property="path" value="AVION/Nephelometer-ATR42/nephelometer_ATR32_20090721_V1.txt"/>
-			<html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteFile"/>
-		</logic:equal>
-	</html:form>
-	<html:form action="/ConfirmDeletion">
-		<html:img page="/resources/images/utils/text.png" alt="file"/>&nbsp;
-		<bean:define id="pathFile" value="${categ}/${jeu}/nephelometer_ATR33_20090725_V1.txt"/>
-		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">nephelometer_ATR33_20090725_V1.txt
-		</html:link>&nbsp;
-		<bean:define id="modify" value="false"/>
-		<logic:iterate id="jeu" name="SES_USER" property="jeux" scope="session">
-			<logic:equal name="jeu" value="Nephelometer-ATR42">
-				<bean:define id="modify" value="true"/>	
-			</logic:equal>
-		</logic:iterate>
-		<logic:equal name="SES_USER" property="roles" scope="session" value="<%=UserRole.COORDINATOR.name()%>">
-			<bean:define id="modify" value="true"/>
-		</logic:equal>
-		<logic:equal name="modify" value="true">
-			&nbsp;
-			<html:hidden property="path" value="AVION/Nephelometer-ATR42/nephelometer_ATR33_20090725_V1.txt"/>
-			<html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteFile"/>
-		</logic:equal>
-	</html:form>
-	<html:form action="/ConfirmDeletion">
-		<html:img page="/resources/images/utils/text.png" alt="file"/>&nbsp;
-		<bean:define id="pathFile" value="${categ}/${jeu}/nephelometer_ATR35_20090728_V1.txt"/>
-		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">nephelometer_ATR35_20090728_V1.txt
-		</html:link>&nbsp;
-		<bean:define id="modify" value="false"/>
-		<logic:iterate id="jeu" name="SES_USER" property="jeux" scope="session">
-			<logic:equal name="jeu" value="Nephelometer-ATR42">
-				<bean:define id="modify" value="true"/>	
-			</logic:equal>
-		</logic:iterate>
-		<logic:equal name="SES_USER" property="roles" scope="session" value="<%=UserRole.COORDINATOR.name()%>">
-			<bean:define id="modify" value="true"/>
-		</logic:equal>
-		<logic:equal name="modify" value="true">
-			&nbsp;
-			<html:hidden property="path" value="AVION/Nephelometer-ATR42/nephelometer_ATR35_20090728_V1.txt"/>
-			<html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteFile"/>
-		</logic:equal>
-	</html:form>
-	<html:form action="/ConfirmDeletion">
-		<html:img page="/resources/images/utils/text.png" alt="file"/>&nbsp;
-		<bean:define id="pathFile" value="${categ}/${jeu}/nephelometer_ATR36_20090729_V1.txt"/>
-		<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">nephelometer_ATR36_20090729_V1.txt
-		</html:link>&nbsp;
-		<bean:define id="modify" value="false"/>
-		<logic:iterate id="jeu" name="SES_USER" property="jeux" scope="session">
-			<logic:equal name="jeu" value="Nephelometer-ATR42">
-				<bean:define id="modify" value="true"/>	
-			</logic:equal>
-		</logic:iterate>
-		<logic:equal name="SES_USER" property="roles" scope="session" value="<%=UserRole.COORDINATOR.name()%>">
-			<bean:define id="modify" value="true"/>
-		</logic:equal>
-		<logic:equal name="modify" value="true">
-			&nbsp;
-			<html:hidden property="path" value="AVION/Nephelometer-ATR42/nephelometer_ATR36_20090729_V1.txt"/>
+			<html:hidden property="path" value="AVION/zz/pgadmin.log"/>
 			<html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteFile"/>
 		</logic:equal>