Index: ether_megapoli/trunk/service/test/com/ether/OtherTest.java
===================================================================
--- ether_megapoli/trunk/service/test/com/ether/OtherTest.java	(revision 338)
+++ ether_megapoli/trunk/service/test/com/ether/OtherTest.java	(revision 339)
@@ -7,4 +7,5 @@
 import sun.misc.BASE64Encoder;
 
+import java.io.FileInputStream;
 import java.io.IOException;
 import java.security.DigestException;
@@ -18,4 +19,5 @@
 import java.util.HashSet;
 import java.util.List;
+import java.util.Properties;
 import java.util.Set;
 import java.util.TimeZone;
@@ -207,3 +209,22 @@
         }
     }
+
+    @Test
+    public void testProperties()
+    {
+        try
+        {
+            final Properties prop = new Properties();
+            prop.load( new FileInputStream( "/home_local/bob.properties" ) );
+            final String path = prop.getProperty( "pif" );
+            final FileInputStream fileInputStream = new FileInputStream( path + "/anytime.css" );
+            final Integer fileSize = fileInputStream.read();
+            Assert.assertEquals( fileSize, (Integer) 47 );
+        }
+        catch( IOException e )
+        {
+            e.printStackTrace();  //To change body of catch statement use File | Settings | File Templates.
+        }
+    }
+
 }
Index: ether_megapoli/trunk/web/data/upload.jsp
===================================================================
--- ether_megapoli/trunk/web/data/upload.jsp	(revision 338)
+++ ether_megapoli/trunk/web/data/upload.jsp	(revision 339)
@@ -55,10 +55,11 @@
                             <nested:define id="fichierMetadonnee" property="fichierMeta"/>
 
-                            <div id="level2" class="level2">
+                            <div id="level2" class="level2 level2_more">
                                 <html:form action="/ConfirmDeletion">
                                     <html:img page="/resources/images/utils/folder.png" alt="folder"/>&nbsp;<nested:write property="nomJeu"/>
                                     <logic:equal name="SES_USER" property="roles" scope="session" value="<%=UserRole.COORDINATOR.name()%>">&nbsp;
                                         <html:hidden value="${cheminJeu}" property="path"/>
-                                        <html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteJeu"/>
+                                        <%--<html:image page="/resources/images/utils/delete.png" alt="delete" titleKey="data.upload.metadata.deleteJeu"/>--%>
+                                        <input type="image" src="resources/images/utils/trash.png" width="20px" height="18px" alt="delete" title="<bean:message key='data.upload.metadata.deleteJeu'/>"/></input>
                                     </logic:equal>
                                 </html:form>
Index: ether_megapoli/trunk/web/resources/css/megapoli.css
===================================================================
--- ether_megapoli/trunk/web/resources/css/megapoli.css	(revision 338)
+++ ether_megapoli/trunk/web/resources/css/megapoli.css	(revision 339)
@@ -164,5 +164,5 @@
 
 .containerErrors, #errors {
-    background: url("images/ui-bg_glass_95_fef1ec_1x400.png") repeat-x scroll 50% 50% #FEF1EC;
+    background: #FEF1EC;
     -moz-border-radius: 4px 4px 4px 4px;
     -webkit-border-radius: 4px 4px 4px 4px;
@@ -270,8 +270,8 @@
 
 /*#hideSlide {*/
-    /*background-image: url("../images/utils/toggle_up_dark.png");*/
-    /*height: 13px;*/
-    /*width: 13px;*/
-    /*margin-top: -10px;*/
+/*background-image: url("../images/utils/toggle_up_dark.png");*/
+/*height: 13px;*/
+/*width: 13px;*/
+/*margin-top: -10px;*/
 /*}*/
 
@@ -396,4 +396,8 @@
 }
 
+.level2_more {
+    padding-bottom: 16px;
+}
+
 .elementExtract {
     position: relative;
Index: ether_megapoli/trunk/web/resources/css/visu_parameter_by_pf.css
===================================================================
--- ether_megapoli/trunk/web/resources/css/visu_parameter_by_pf.css	(revision 338)
+++ ether_megapoli/trunk/web/resources/css/visu_parameter_by_pf.css	(revision 339)
@@ -92,4 +92,5 @@
     color: #04155D;
     text-align: center;
+    font-size: 13px;
 }
 
Index: ether_megapoli/trunk/web/resources/js/classesForJQuery/LoginButton.js
===================================================================
--- ether_megapoli/trunk/web/resources/js/classesForJQuery/LoginButton.js	(revision 338)
+++ ether_megapoli/trunk/web/resources/js/classesForJQuery/LoginButton.js	(revision 339)
@@ -128,5 +128,5 @@
             var divImgLogout = $( document.createElement( "div" ) );
             divImgLogout.addClass( "containerImgLogout" );
-            divImgLogout.append( "<img src='resources/images/utils/logout.png' width='15px' height='15px/>" );
+            divImgLogout.append( "<img src='resources/images/utils/logout.png' width='15px' height='15px'/>" );
             divImgLogout.bind( "click", jQuery.proxy( this.onClickLogout, this ) );
             loginMiddle.append( divImgLogout );
Index: ether_megapoli/trunk/web/resources/jsp/megapoliHead.jsp
===================================================================
--- ether_megapoli/trunk/web/resources/jsp/megapoliHead.jsp	(revision 338)
+++ ether_megapoli/trunk/web/resources/jsp/megapoliHead.jsp	(revision 339)
@@ -76,8 +76,5 @@
 
         var liExtract = $( document.createElement( "li" ) );
-        var aExtract = $( document.createElement( "a" ) );
-        aExtract.attr( {onclick:'javascript:neededLogin("/DataAccess.do")'} );
-        aExtract.html( "<span>" + templateTexts["data.access.extract.short"] + "</span>" );
-        liExtract.append( aExtract );
+        liExtract.append('<a onclick=\'javascript:neededLogin("/DataAccess.do")\'><span>' + templateTexts["data.access.extract.short"] + '</span></a>');
         ulData.append( liExtract );
         var liDownload = $( document.createElement( "li" ) );
Index: ether_megapoli/trunk/web/src/json/json-context.xml
===================================================================
--- ether_megapoli/trunk/web/src/json/json-context.xml	(revision 338)
+++ ether_megapoli/trunk/web/src/json/json-context.xml	(revision 339)
@@ -7,6 +7,7 @@
         <property name="mapping">
             <map>
-				<entry key="com.medias.database.objects.Plateforme" value-ref="plateformJsonSerializer"/>
-				<entry key="com.medias.database.objects.Parametre" value-ref="parameterJsonSerializer"/>
+                <entry key="com.medias.database.objects.Plateforme" value-ref="plateformJsonSerializer"/>
+                <entry key="com.medias.database.objects.Parametre" value-ref="parameterJsonSerializer"/>
+                <entry key="com.ether.user.User" value-ref="userJsonSerializer"/>
             </map>
         </property>
@@ -15,3 +16,5 @@
     <bean id="plateformJsonSerializer" class="json.serializers.PlateformJsonSerializer"/>
     <bean id="parameterJsonSerializer" class="json.serializers.ParameterJsonSerializer"/>
+    <bean id="userJsonSerializer" class="json.serializers.UserJsonSerializer"/>
+
 </beans>
Index: ether_megapoli/trunk/web/src/json/serializers/UserJsonSerializer.java
===================================================================
--- ether_megapoli/trunk/web/src/json/serializers/UserJsonSerializer.java	(revision 339)
+++ ether_megapoli/trunk/web/src/json/serializers/UserJsonSerializer.java	(revision 339)
@@ -0,0 +1,25 @@
+package json.serializers;
+
+import com.ether.user.User;
+import net.sf.json.JSONObject;
+import net.sf.json.JsonConfig;
+
+public class UserJsonSerializer
+        extends AbstractJsonSerializer<User>
+{
+    public JSONObject process( final User user, final JsonConfig jsonConfig )
+    {
+        final JSONObject result = new JSONObject();
+
+        serialize( result, "id", user.getId(), jsonConfig );
+        serialize( result, "lastName", user.getLastName(), jsonConfig );
+        serialize( result, "firstName", user.getFirstName(), jsonConfig );
+        serialize( result, "accessToBO", user.isAccessToBO(), jsonConfig );
+        serialize( result, "creationDate", user.getCreationDate(), jsonConfig );
+        serialize( result, "email", user.getEmail(), jsonConfig );
+        serialize( result, "role", user.getRole(), jsonConfig );
+        serialize( result, "state", user.getState(), jsonConfig );
+
+        return result;
+    }
+}
Index: ether_megapoli/trunk/web/visualization/visu_parameter_by_pf-script.jsp
===================================================================
--- ether_megapoli/trunk/web/visualization/visu_parameter_by_pf-script.jsp	(revision 338)
+++ ether_megapoli/trunk/web/visualization/visu_parameter_by_pf-script.jsp	(revision 339)
@@ -144,19 +144,30 @@
     handleDownload: function( result )
     {
-        var stateResult = result.responseText.evalJSON().result;
-
-        var downloadWindow = new Window( {className: "dialog", zIndex: 100, resizable: true, draggable:true, wiredDrag: true, showEffect:Effect.BlindDown, hideEffect: Effect.SwitchOff } );
-        downloadWindow.setTitle( interfaceTexts["data.access.extract3"] );
-        if( stateResult == "ok" )
-        {
-            downloadWindow.getContent().innerHTML = '<div class="textExamplesTD">' + interfaceTexts["data.access.extract.process.short"] + '</div>';
-            downloadWindow.setSize( 350, 50 );
-        }
-        else
-        {
-            downloadWindow.getContent().innerHTML = '<div class="textExamplesTD">' + interfaceTexts["data.access.extract.process.error"] + '</div>';
-            downloadWindow.setSize( 350, 60 );
-        }
-        downloadWindow.show();
+        var stateResult = jQuery.parseJSON( result ).result;
+
+        if( "ok" == stateResult )
+        {
+            var $dialog = $( '<div></div>' )
+                    .html( '<div class="textExamplesTD">' + interfaceTexts["data.access.extract.process.short"] + '</div>' )
+                    .dialog( {
+                                 autoOpen: false,
+                                 title: interfaceTexts["data.access.extract3"],
+                                 minHeight: 50,
+                                 minWidth: 350
+                             } );
+            $dialog.dialog( 'open' );
+        }
+        else
+        {
+            var $dialog = $( '<div></div>' )
+                    .html( '<div class="textExamplesTD">' + interfaceTexts["data.access.extract.process.error"] + '</div>' )
+                    .dialog( {
+                                 autoOpen: false,
+                                 title: interfaceTexts["data.access.extract3"],
+                                 minHeight: 60,
+                                 minWidth: 350
+                             } );
+            $dialog.dialog( 'open' );
+        }
     },
 
@@ -461,9 +472,13 @@
 function onClickHelp()
 {
-    var helpWindow = new Window( {className: "dialog", zIndex: 100, resizable: true, draggable:true, wiredDrag: true, showEffect:Effect.BlindDown, hideEffect: Effect.SwitchOff } );
-    helpWindow.setTitle( interfaceTexts["visualization.parameter.buttons.help"] );
-    helpWindow.getContent().innerHTML = '<div class="textExamplesTD">' + interfaceTexts["visualization.parameter.buttons.help.text"] + '</div>';
-    helpWindow.setSize( 350, 100 );
-    helpWindow.show();
+    var $dialog = $( '<div></div>' )
+            .html( '<div class="textExamplesTD">' + interfaceTexts["visualization.parameter.buttons.help.text"] + '</div>' )
+            .dialog( {
+                         autoOpen: false,
+                         title: interfaceTexts["visualization.parameter.buttons.help"],
+                         minHeight: 100,
+                         minWidth: 350
+                     } );
+    $dialog.dialog( 'open' );
 }
 