Index: her_2012/trunk/persistence/sql/create.sql
===================================================================
--- /ether_2012/trunk/persistence/sql/create.sql	(revision 353)
+++ 	(revision )
@@ -1,46 +1,0 @@
-CREATE SEQUENCE S_TABLE_TEST
-
-/*==============================================================*/
-/* Table : TABLE_TEST                                      */
-/*==============================================================*/
-CREATE TABLE TABLE_TEST  (
-   TABLE_TEST_ID        NUMBER(9,0)                     NOT NULL,
-   CODE                 NVARCHAR2(50)                   NOT NULL,
-   VALUE                INTEGER,
-   IS_VISIBLE           NUMBER(1,0)                    DEFAULT 0 NOT NULL
-      CONSTRAINT CKC_IS_VISIBLE_TABLE_TEST CHECK (IS_VISIBLE IN (0,1)),
-   DEFAULT_TRANSLATION  NVARCHAR2(255),
-   CONSTRAINT PK_TABLE_TEST PRIMARY KEY (TABLE_TEST_ID),
-   CONSTRAINT AK_TABLE_TEST_CO_ACH_ACHI UNIQUE (CODE)
-)
-/* GO */
-
-
-COMMENT ON TABLE TABLE_TEST IS
-'Table de test'
-/* GO */
-
-
-COMMENT ON COLUMN TABLE_TEST.TABLE_TEST_ID IS
-'The identifier of the element'
-/* GO */
-
-
-COMMENT ON COLUMN TABLE_TEST.CODE IS
-'The element code'
-/* GO */
-
-
-COMMENT ON COLUMN TABLE_TEST.VALUE IS
-'The element value'
-/* GO */
-
-
-COMMENT ON COLUMN TABLE_TEST.IS_VISIBLE IS
-'Test for a boolean'
-/* GO */
-
-
-COMMENT ON COLUMN TABLE_TEST.DEFAULT_TRANSLATION IS
-'The default translation of the element'
-/* GO */
Index: her_2012/trunk/persistence/sql/createPostGresql.sql
===================================================================
--- /ether_2012/trunk/persistence/sql/createPostGresql.sql	(revision 353)
+++ 	(revision )
@@ -1,33 +1,0 @@
-/*=============================================================*/
-/*== http://www.postgresql.org/docs/8.1/static/datatype.html ==*/
-/*=============================================================*/
-
-CREATE SEQUENCE S_TABLE_TEST;
-
-/*=============================================================*/
-/* Table : TABLE_TEST                                          */
-/*=============================================================*/
-CREATE TABLE TABLE_TEST  (
-   TABLE_TEST_ID        NUMERIC                     NOT NULL,
-   CODE                 VARCHAR(50)                 NOT NULL,
-   VALUE                INTEGER,
-   IS_VISIBLE           BOOLEAN                     DEFAULT FALSE NOT NULL,
-   DEFAULT_TRANSLATION  VARCHAR(255),
-   CONSTRAINT PK_TABLE_TEST PRIMARY KEY (TABLE_TEST_ID),
-   CONSTRAINT AK_TABLE_TEST_CO_ACH_ACHI UNIQUE (CODE)
-);
-
-COMMENT ON TABLE TABLE_TEST IS 'Table de test';
-COMMENT ON COLUMN TABLE_TEST.TABLE_TEST_ID IS 'The identifier of the element';
-COMMENT ON COLUMN TABLE_TEST.CODE IS 'The element code';
-COMMENT ON COLUMN TABLE_TEST.VALUE IS 'The element value';
-COMMENT ON COLUMN TABLE_TEST.IS_VISIBLE IS 'Test for a boolean';
-COMMENT ON COLUMN TABLE_TEST.DEFAULT_TRANSLATION IS 'The default translation of the element';
-
-
-/*=============================================================*/
-/* INSERTS                                                     */
-/*=============================================================*/
-INSERT INTO table_test VALUES (nextval('S_TABLE_TEST'),'code_test_1','6548','FALSE','code test translation 1');
-INSERT INTO table_test VALUES (nextval('S_TABLE_TEST'),'code_test_2','789','TRUE','code test translation 2');
-INSERT INTO table_test VALUES (nextval('S_TABLE_TEST'),'code_test_3','1234','FALSE','code test translation 3');
Index: her_2012/trunk/web/WEB-INF/classes/com/ether/dao/Parameter.hbm.xml
===================================================================
--- /ether_2012/trunk/web/WEB-INF/classes/com/ether/dao/Parameter.hbm.xml	(revision 353)
+++ 	(revision )
@@ -1,34 +1,0 @@
-<?xml version="1.0"?>
-<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
-"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
-<!-- Generated 5 f?vr. 2007 11:07:12 by Hibernate Tools 3.2.0.b9 -->
-<hibernate-mapping>
-    <class name="com.ether.Parameter" table="parametre" schema="public">
-        <comment>Table enumerant les differents parametres de mesure</comment>
-        <id name="id" type="int">
-            <column name="parametre_id" />
-            <!--<generator class="sequence">-->
-            <!--<param name="sequence">parametre_parametre_id_seq</param>-->
-            <!--</generator>-->
-        </id>
-
-        <property name="name" type="string">
-            <column name="parametre_nom" length="100" not-null="true">
-                <comment>nom du parametre</comment>
-            </column>
-        </property>
-
-        <set name="plateformes" inverse="true" table="requete_plat_param">
-            <key>
-                <column name="parametre_id" not-null="true">
-                    <comment>lien vers la table parametre</comment>
-                </column>
-            </key>
-            <many-to-many entity-name="com.ether.Plateform">
-                <column name="plateforme_id" not-null="true">
-                    <comment>lien vers la table plateforme</comment>
-                </column>
-            </many-to-many>
-        </set>
-    </class>
-</hibernate-mapping>
Index: her_2012/trunk/web/WEB-INF/classes/com/ether/dao/Parameter_old.hbm.xml
===================================================================
--- /ether_2012/trunk/web/WEB-INF/classes/com/ether/dao/Parameter_old.hbm.xml	(revision 353)
+++ 	(revision )
@@ -1,39 +1,0 @@
-<?xml version="1.0"?>
-<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
-        "http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
-<hibernate-mapping default-cascade="save-update" auto-import="false">
-
-	<class name="com.ether.Parameter" table="parameter">
-
-		<id name="id">
-			<column name="parametre_id" />
-			<generator class="increment" />
-
-			<!-- <generator class="sequence"> -->
-			<!-- <param name="sequence">S_TABLE_TEST</param> -->
-			<!-- </generator> -->
-		</id>
-
-		<property name="name">
-			<column name="parametre_nom"/>
-		</property>
-
-        <set name="plateformes" inverse="true" table="requete_plat_param">
-            <key>
-                <column name="parametre_id" not-null="true">
-                    <comment>lien vers la table parametre</comment>
-                </column>
-            </key>
-            <many-to-many entity-name="com.ether.Plateform">
-                <column name="plateforme_id" not-null="true">
-                    <comment>lien vers la table plateforme</comment>
-                </column>
-            </many-to-many>
-        </set>
-
-	</class>
-
-
-
-</hibernate-mapping>
-
Index: her_2012/trunk/web/WEB-INF/classes/com/ether/dao/Plateform.hbm.xml
===================================================================
--- /ether_2012/trunk/web/WEB-INF/classes/com/ether/dao/Plateform.hbm.xml	(revision 353)
+++ 	(revision )
@@ -1,24 +1,0 @@
-<?xml version="1.0"?>
-<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
-        "http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
-<hibernate-mapping default-cascade="save-update" auto-import="false">
-
-	<class name="com.ether.Plateform" table="plateforme">
-
-		<id name="id">
-			<column name="plateforme_id" />
-			<generator class="increment" />
-
-			<!-- <generator class="sequence"> -->
-			<!-- <param name="sequence">S_TABLE_TEST</param> -->
-			<!-- </generator> -->
-		</id>
-
-		<property name="name">
-			<column name="plateforme_nom"/>
-		</property>
-
-	</class>
-
-</hibernate-mapping>
-
Index: her_2012/trunk/web/WEB-INF/classes/dao-context.xml
===================================================================
--- /ether_2012/trunk/web/WEB-INF/classes/dao-context.xml	(revision 353)
+++ 	(revision )
@@ -1,18 +1,0 @@
-<?com.medias.xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE beans PUBLIC "-//SPRING//DTD BEAN//EN" "http://www.springframework.org/dtd/spring-beans.dtd">
-
-<!-- Application context DAO layer -->
-<beans>
-	<bean id="refPlateformDAO" class="com.ether.dao.PlateformDAOImpl">
-		<property name="sessionFactory">
-			<ref bean="sessionFactory" />
-		</property>
-	</bean>
-
-    <bean id="refParameterDAO" class="com.ether.dao.ParameterDAOImpl">
-        <property name="sessionFactory">
-            <ref bean="sessionFactory" />
-        </property>
-    </bean>
-
-</beans>
Index: her_2012/trunk/web/WEB-INF/classes/hibernate-domain.cfg.xml
===================================================================
--- /ether_2012/trunk/web/WEB-INF/classes/hibernate-domain.cfg.xml	(revision 353)
+++ 	(revision )
@@ -1,11 +1,0 @@
-<?com.medias.xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE hibernate-configuration PUBLIC
-        "-//Hibernate/Hibernate Configuration DTD 3.0//EN"
-        "http://hibernate.sourceforge.net/hibernate-configuration-3.0.dtd">
-
-<hibernate-configuration>
-    <session-factory>
-        <mapping resource="com/ether/dao/Plateform.hbm.xml"/>
-        <mapping resource="com/ether/dao/Parameter.hbm.xml"/>
-    </session-factory>
-</hibernate-configuration>
Index: her_2012/trunk/web/WEB-INF/classes/hibernate.cfg.xml
===================================================================
--- /ether_2012/trunk/web/WEB-INF/classes/hibernate.cfg.xml	(revision 353)
+++ 	(revision )
@@ -1,52 +1,0 @@
-<?com.medias.xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE beans PUBLIC "-//SPRING//DTD BEAN//EN" "http://www.springframework.org/dtd/spring-beans.dtd">
-
-<beans>
-	<!-- sessionFactory -->
-	<bean id="sessionFactory" class="org.springframework.orm.hibernate3.LocalSessionFactoryBean">
-		<property name="configLocation">
-			<value>classpath:hibernate-domain.cfg.xml</value>
-		</property>
-
-		<property name="configurationClass">
-			<value>org.hibernate.cfg.AnnotationConfiguration</value>
-		</property>
-
-		<property name="hibernateProperties">
-			<props>
-				<prop key="hibernate.bytecode.use_reflection_optimizer">false</prop>
-				<prop key="hibernate.connection.driver_class">org.postgresql.Driver</prop>
-				<prop key="hibernate.connection.url">jdbc:postgresql://darkstar.ipslnet:5432/PROJECT_SOURCE</prop>
-				<prop key="hibernate.connection.username">postgres</prop>
-				<prop key="hibernate.dialect">org.hibernate.dialect.PostgreSQLDialect</prop>
-				<prop key="hibernate.show_sql">true</prop>
-				<prop key="hibernate.generate_statistics">true</prop>
-			</props>
-		</property>
-	</bean>
-
-	<bean id="transactionManager"
-		class="org.springframework.orm.hibernate3.HibernateTransactionManager">
-		<property name="sessionFactory" ref="sessionFactory" />
-	</bean>
-
-	<bean id="transactionProxy" abstract="true"
-		class="org.springframework.transaction.interceptor.TransactionProxyFactoryBean">
-		<property name="transactionManager">
-			<ref bean="transactionManager" />
-		</property>
-		<property name="transactionAttributes">
-			<props>
-				<prop key="insert*">PROPAGATION_REQUIRED</prop>
-				<prop key="update*">PROPAGATION_REQUIRED</prop>
-				<prop key="save*">PROPAGATION_REQUIRED</prop>
-				<prop key="*">PROPAGATION_REQUIRED, readOnly</prop>
-			</props>
-		</property>
-	</bean>
-
-	<!-- <bean id="hibernateTemplate" class="org.springframework.orm.hibernate3.HibernateTemplate"> -->
-	<!-- <property name="sessionFactory" ref="sessionFactory" /> -->
-	<!-- </bean> -->
-
-</beans>
Index: her_2012/trunk/web/WEB-INF/classes/hibernate_test.cfg.xml
===================================================================
--- /ether_2012/trunk/web/WEB-INF/classes/hibernate_test.cfg.xml	(revision 353)
+++ 	(revision )
@@ -1,49 +1,0 @@
-<?com.medias.xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE beans PUBLIC "-//SPRING//DTD BEAN//EN" "http://www.springframework.org/dtd/spring-beans.dtd">
-
-<beans>
-	<!-- sessionFactory -->
-	<bean id="sessionFactory" class="org.springframework.orm.hibernate3.LocalSessionFactoryBean">
-		<property name="configLocation">
-			<value>classpath:hibernate-domain.cfg.xml</value>
-		</property>
-
-		<property name="configurationClass">
-			<value>org.hibernate.cfg.AnnotationConfiguration</value>
-		</property>
-
-		<property name="hibernateProperties">
-			<props>
-				<prop key="hibernate.bytecode.use_reflection_optimizer">false</prop>
-				<prop key="hibernate.connection.driver_class">org.postgresql.Driver</prop>
-				<prop key="hibernate.connection.url">jdbc:postgresql://darkstar.ipslnet:5432/PROJECT_SOURCE_TEST</prop>
-				<prop key="hibernate.connection.username">postgres</prop>
-				<prop key="hibernate.dialect">org.hibernate.dialect.PostgreSQLDialect</prop>
-				<prop key="hibernate.show_sql">true</prop>
-
-				<prop key="hibernate.generate_statistics">true</prop>
-			</props>
-		</property>
-	</bean>
-
-	<bean id="transactionManager"
-		class="org.springframework.orm.hibernate3.HibernateTransactionManager">
-		<property name="sessionFactory" ref="sessionFactory" />
-	</bean>
-
-	<bean id="transactionProxy" abstract="true"
-		class="org.springframework.transaction.interceptor.TransactionProxyFactoryBean">
-		<property name="transactionManager">
-			<ref bean="transactionManager" />
-		</property>
-		<property name="transactionAttributes">
-			<props>
-				<prop key="insert*">PROPAGATION_REQUIRED</prop>
-				<prop key="update*">PROPAGATION_REQUIRED</prop>
-				<prop key="save*">PROPAGATION_REQUIRED</prop>
-				<prop key="*">PROPAGATION_REQUIRED, readOnly</prop>
-			</props>
-		</property>
-	</bean>
-
-</beans>
Index: her_2012/trunk/web/WEB-INF/classes/service-context.xml
===================================================================
--- /ether_2012/trunk/web/WEB-INF/classes/service-context.xml	(revision 353)
+++ 	(revision )
@@ -1,19 +1,0 @@
-<?com.medias.xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE beans PUBLIC "-//SPRING//DTD BEAN//EN" "http://www.springframework.org/dtd/spring-beans.dtd">
-
-<beans>
-	<bean id="etherServiceTarget" class="com.ether.EtherServiceImpl">
-		<property name="plateformDAO" ref="refPlateformDAO" />
-		<property name="parameterDAO" ref="refParameterDAO" />
-	</bean>
-
-	<bean id="etherService" parent="transactionProxy">
-		<property name="target">
-			<ref bean="etherServiceTarget" />
-		</property>
-		<property name="transactionAttributeSource">
-			<bean class="org.springframework.transaction.annotation.AnnotationTransactionAttributeSource" />
-		</property>
-	</bean>
-
-</beans>