Index: ether_ndacc/trunk/web/data_lannemezan.jsp
===================================================================
--- ether_ndacc/trunk/web/data_lannemezan.jsp	(revision 201)
+++ ether_ndacc/trunk/web/data_lannemezan.jsp	(revision 364)
@@ -1,2 +1,4 @@
+<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
+<%@ taglib prefix="ether" tagdir="/WEB-INF/tags" %>
 <%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
@@ -22,21 +24,21 @@
 
 
-<a class="onglet" href="data_ohp.jsp" title="Observatoire de Haute Provence">OHP</a>
-<a class="onglet" href="data_opar.jsp" title="Observatoire de physique de l'atmosph&egrave;re de La R&eacute;union">La R&eacute;union</a>
-<a class="onglet" href="data_ddu.jsp" title="Dumont D'Urville">Dumont d'Urville</a>
-<span class="onglet-actif" title="data_lannemezan.jsp">OMP</span>
-<a class="onglet" href="data_villeneuve.jsp">Villeneuve d'Ascq</a>
-<a class="onglet" href="data_briancon.jsp">Brian&ccedil;on</a>
-<a class="onglet" href="data_scorebysund.jsp">Scorebysund</a>
-<a class="onglet" href="data_andoya.jsp">Andoya</a>
-<a class="onglet" href="data_sodankyla.jsp">Sodankyla</a>
-<a class="onglet" href="data_zhigansk.jsp">Zhigansk</a>
-<a class="onglet" href="data_salekhard.jsp">Salekhard</a>
-<a class="onglet" href="data_bordeaux.jsp">Bordeaux</a>
-<a class="onglet" href="data_tarawa.jsp">Tarawa</a>
-<a class="onglet" href="data_bauru.jsp">Bauru</a>
-<a class="onglet" href="data_kerguelen.jsp">Kerguelen</a>
-<a class="onglet" href="data_riogallegos.jsp">Rio Gallegos</a>
-<a class="onglet" href="data_concordia.jsp">Concordia</a>
+<a class="onglet" href="station?methodName=viewDataOhp" title="Observatoire de Haute Provence">OHP</a>
+<a class="onglet" href="station?methodName=viewDataOpar" title="Observatoire de physique de l'atmosph&egrave;re de La R&eacute;union">La R&eacute;union</a>
+<a class="onglet" href="station?methodName=viewDataDdu" title="Dumont D'Urville">Dumont d'Urville</a>
+<span class="onglet-actif" title="OMP">OMP</span>
+<a class="onglet" href="station?methodName=viewDataVda">Villeneuve d'Ascq</a>
+<a class="onglet" href="station?methodName=viewDataBri">Brian&ccedil;on</a>
+<a class="onglet" href="station?methodName=viewDataSco">Scorebysund</a>
+<a class="onglet" href="station?methodName=viewDataAnd">Andoya</a>
+<a class="onglet" href="station?methodName=viewDataSod">Sodankyla</a>
+<a class="onglet" href="station?methodName=viewDataZhi">Zhigansk</a>
+<a class="onglet" href="station?methodName=viewDataSal">Salekhard</a>
+<a class="onglet" href="station?methodName=viewDataBor">Bordeaux</a>
+<a class="onglet" href="station?methodName=viewDataTar">Tarawa</a>
+<a class="onglet" href="station?methodName=viewDataBau">Bauru</a>
+<a class="onglet" href="station?methodName=viewDataKer">Kerguelen</a>
+<a class="onglet" href="station?methodName=viewDataRio">Rio Gallegos</a>
+<a class="onglet" href="station?methodName=viewDataCon">Concordia</a>
 
 
@@ -55,5 +57,5 @@
 <table cellpadding="2" cellspacing="2" width="1130px" border=0>
 <tr>
-	<td height=10 valign="top" width=170 class="cielb">Logistique</td>
+	<td height=10 valign="top" width=170 class="cielb"><spring:message code="Logistique"/></td>
 	<td width="30%" class="cielbp"><a class="cielbp" href="http://www.aero.obs-mip.fr/spip.php?article434" target="_blank">
 	Centre de Recherches Atmosph&eacute;riques (CRA) </a>
@@ -64,13 +66,13 @@
 </tr>
 <tr>
-	<td height=10 valign="top" class="cielb" nowrap>Coordinateur scientifique</td>
+	<td height=10 valign="top" class="cielb" nowrap><spring:message code="coordinateur.scientifique"/></td>
 	<td class="cielbp" height=10 valign="top">Philippe Ricaud</td>
 </tr>
 <tr>
-	<td valign="top"  height=10 width=180 class="cielb">Coordinateur technique</td>
+	<td valign="top"  height=10 width=180 class="cielb"><spring:message code="coordinateur.technique"/></td>
 	<td valign="top" height=10 class="cielbp">Sol&egrave;ne Derrien</td>
 </tr>
 <tr>
-	<td valign="top" valign=top height=10 nowrap class="cielb">Op&eacute;rateur station</td>
+	<td valign="top" valign=top height=10 nowrap class="cielb"><spring:message code="operateurs"/></td>
 	<td valign="top" valign=top height=10 class="cielbp">Sol&egrave;ne Derrien</td>
 
@@ -93,9 +95,9 @@
 <tr>
 <td class="blanc1" rowspan=2 width="15%">INSTRUMENT</td>
-<td class="blanc1" rowspan=2 width="15%">MEASUREMENT</td>
+<td class="blanc1" rowspan=2 width="15%"><spring:message code="mesure"/></td>
 <td class="blanc1" rowspan=2 width="15%">PI</td>
-<td class="blanc1" rowspan=2 width="22%">NDACC STORED DATA</td>
+<td class="blanc1" rowspan=2 width="22%"><spring:message code="storedata"/></td>
 <td class="blanc1" colspan=2 width="19%">QUICKLOOK</td>
-<td class="blanc1" rowspan=2 width="14%">STATUS</td>
+<td class="blanc1" rowspan=2 width="14%"><spring:message code="status"/></td>
 </tr>
 <tr>
@@ -116,5 +118,5 @@
 <td class="blanc2" width="15%"><a href="" onclick="openW ('./ozone.jsp', NWIN1, WCONF1);">O3</a> profiles</td>
 <td class="blanc2" width="15%">P. Ricaud</td>
-<td class="blanc2" width="22%"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/lannemez/ames/dobson/')">2004-08/2010</a>
+<td class="blanc2" width="22%"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/lannemez/ames/dobson/')">2004-09/2011</a>
 <br><i>pattern files : lztc[yy][mm].rpd</i></td>
 <td class="orange" align="center" width=11%><a href="" title="Results" onclick="OuvrirFeuilleDyn ('visus_dobson.jsp?station=lan')">
@@ -122,5 +124,5 @@
 </a></td>
 <td class="orange" width="8%"></td>
-<td class="vert" width="22%">Routine</td>
+<td class="vert" width="22%"><spring:message code="courant"/></td>
 </tr>
 