Index: /ether_megapoli/trunk/persistence/implementation/hibernate.cfg.xml
===================================================================
--- /ether_megapoli/trunk/persistence/implementation/hibernate.cfg.xml	(revision 371)
+++ /ether_megapoli/trunk/persistence/implementation/hibernate.cfg.xml	(revision 372)
@@ -17,6 +17,6 @@
 				<prop key="hibernate.bytecode.use_reflection_optimizer">false</prop>
 				<prop key="hibernate.connection.driver_class">org.postgresql.Driver</prop>
-				<!--<prop key="hibernate.connection.url">jdbc:postgresql://darkstar.ipslnet:5432/megapoli_2</prop>-->
-				<prop key="hibernate.connection.url">jdbc:postgresql://darkstar.private.ipsl.fr:5432/MEGAPOLI_VM4</prop>
+				<prop key="hibernate.connection.url">jdbc:postgresql://darkstar.ipslnet:5432/megapoli_4</prop>
+				<!--<prop key="hibernate.connection.url">jdbc:postgresql://darkstar.private.ipsl.fr:5432/MEGAPOLI_VM4</prop>-->
 				<prop key="hibernate.connection.username">postgres</prop>
 				<prop key="hibernate.dialect">org.hibernate.dialect.PostgreSQLDialect</prop>
Index: /ether_megapoli/trunk/persistence/implementation/hibernate.properties
===================================================================
--- /ether_megapoli/trunk/persistence/implementation/hibernate.properties	(revision 371)
+++ /ether_megapoli/trunk/persistence/implementation/hibernate.properties	(revision 372)
@@ -1,5 +1,5 @@
 hibernate.connection.driver_class = org.postgresql.Driver
-#hibernate.connection.url=jdbc:postgresql://darkstar.private.ipsl.fr:5432/megapoli_2
-hibernate.connection.url=jdbc:postgresql://darkstar.private.ipsl.fr:5432/MEGAPOLI_VM4
+hibernate.connection.url=jdbc:postgresql://darkstar.private.ipsl.fr:5432/megapoli_4
+#hibernate.connection.url=jdbc:postgresql://darkstar.private.ipsl.fr:5432/MEGAPOLI_VM4
 hibernate.connection.username=postgres
 #hibernate.c3p0.min_size=5
Index: /ether_megapoli/trunk/web/WEB-INF/megapoli_prod.properties
===================================================================
--- /ether_megapoli/trunk/web/WEB-INF/megapoli_prod.properties	(revision 371)
+++ /ether_megapoli/trunk/web/WEB-INF/megapoli_prod.properties	(revision 372)
@@ -1,11 +1,11 @@
 #les path d'acces aux donnÃ©es
-data.upload.root=/www/Megapoli/megapoli_data/data/upload
-data.access.root=/www/Megapoli/megapoli_data/data/download
-data.upload.desc=/www/Megapoli/megapoli_data/data/xml/uploadHierarchie.xml
-data.access.desc=/www/Megapoli/megapoli_data/data/xml/accessHierarchie.xml
+data.upload.root=/home/www/megapoli_data/data/upload
+data.access.root=/home/www/megapoli_data/data/download
+data.upload.desc=/home/www/megapoli_data/data/xml/uploadHierarchie.xml
+data.access.desc=/home/www/megapoli_data/data/xml/accessHierarchie.xml
 annuaire=/usr/local/megapoli/annuaire.xml
 
 #le path d'accÃšs aux images
-data.img=/www/Megapoli/megapoli_data/data/images
+data.img=/home/www/megapoli_data/data/images
 
 #le serveur mail
@@ -13,6 +13,6 @@
 mail.webmaster=megapoli-admin@ipsl.jussieu.fr
 mail.PI=Matthias.Beekmann@lisa.u-pec.fr
-url.upload=http://chewie.private.ipsl.fr:8080/megapoli/InitLogon.do
-url.extractcgi=http://chewie.private.ipsl.fr/cgi-bin/megapoli_extract.cgi
+url.upload=http://vador.private.ipsl.fr:8080/megapoli/InitLogon.do
+url.extractcgi=http://vador.private.ipsl.fr/cgi-bin/megapoli_extract.cgi
 
 #!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
Index: /ether_megapoli/trunk/web/WEB-INF/megapoli_prod_chewie.properties
===================================================================
--- /ether_megapoli/trunk/web/WEB-INF/megapoli_prod_chewie.properties	(revision 372)
+++ /ether_megapoli/trunk/web/WEB-INF/megapoli_prod_chewie.properties	(revision 372)
@@ -0,0 +1,32 @@
+#les path d'acces aux donnÃ©es
+data.upload.root=/www/Megapoli/megapoli_data/data/upload
+data.access.root=/www/Megapoli/megapoli_data/data/download
+data.upload.desc=/www/Megapoli/megapoli_data/data/xml/uploadHierarchie.xml
+data.access.desc=/www/Megapoli/megapoli_data/data/xml/accessHierarchie.xml
+annuaire=/usr/local/megapoli/annuaire.xml
+
+#le path d'accÃšs aux images
+data.img=/www/Megapoli/megapoli_data/data/images
+
+#le serveur mail
+mail.host=mailhost.ipsl.jussieu.fr
+mail.webmaster=megapoli-admin@ipsl.jussieu.fr
+mail.PI=Matthias.Beekmann@lisa.u-pec.fr
+url.upload=http://chewie.private.ipsl.fr:8080/megapoli/InitLogon.do
+url.extractcgi=http://chewie.private.ipsl.fr/cgi-bin/megapoli_extract.cgi
+
+#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+#	Variables a ne modifier que si la structure du .war bouge (donc si modifs dans le build.xml)
+#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+
+#Fichiers "publics"
+data.upload.tree.view=/data/upload/arborescence.jsp
+data.upload.files.view=/data/upload/files.jsp
+data.access.tree.view=/data/access/arborescence.jsp
+data.access.files.view=/data/access/files.jsp
+
+#Fichiers de configuration "caches" : places dans le WEB-INF
+data.upload.tree.stylesheet=/xml/uploadTree.xsl
+data.upload.files.stylesheet=/xml/uploadFiles.xsl
+data.access.tree.stylesheet=/xml/accessTree.xsl
+#data.access.files.stylesheet=/xml/accessFiles.xsl
Index: /ether_megapoli/trunk/web/resources/css/megapoli.css
===================================================================
--- /ether_megapoli/trunk/web/resources/css/megapoli.css	(revision 371)
+++ /ether_megapoli/trunk/web/resources/css/megapoli.css	(revision 372)
@@ -34,4 +34,5 @@
     -webkit-border-radius: 4px 4px 4px 4px;
     -webkit-box-shadow: 0 0 4px rgba(0, 0, 0, 0.3);
+    box-shadow: 0 0 4px rgba(0, 0, 0, 0.3);
     width: 80px;
     height: 80px;
@@ -49,4 +50,5 @@
     -webkit-border-radius: 4px 4px 4px 4px;
     -webkit-box-shadow: 0 0 4px rgba(0, 0, 0, 0.3);
+    box-shadow: 0 0 4px rgba(0, 0, 0, 0.3);
     width: 980px;
     float: left;
@@ -92,4 +94,5 @@
     -webkit-border-radius: 4px 4px 4px 4px;
     -webkit-box-shadow: 0 0 4px rgba(0, 0, 0, 0.3);
+    box-shadow: 0 0 4px rgba(0, 0, 0, 0.3);
     float: left;
     position: relative;
@@ -123,4 +126,5 @@
     -webkit-border-radius: 4px 4px 0 0;
     -webkit-box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
+    box-shadow: 0 0 4px rgba(0, 0, 0, 0.3);
     background-image: url("../images/fond_bleu2.png");
     background-repeat: repeat-x;
@@ -140,4 +144,6 @@
     background: -moz-linear-gradient(white, #E8EFF3);
     background: -webkit-linear-gradient(white, #E8EFF3);
+    background: -ms-linear-gradient(white, #E8EFF3) repeat scroll 0 0 transparent; /*For IE10*/
+    filter: progid:DXImageTransform.Microsoft.gradient(GradientType = 0, startColorstr = 'white', endColorstr = '#E8EFF3'); /*For IE7-8-9*/
     min-height: 400px;
     text-align: justify;
@@ -243,4 +249,5 @@
     -webkit-border-radius: 4px 4px 0 0;
     -webkit-box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
+    box-shadow: 0 0 4px rgba(0, 0, 0, 0.3);
     margin-right: 1px;
     display: none;
@@ -259,4 +266,5 @@
     -webkit-border-radius: 4px;
     -webkit-box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
+    box-shadow: 0 0 4px rgba(0, 0, 0, 0.3);
 }
 
@@ -446,5 +454,5 @@
 
 .dataProtocolButton {
-    /*margin-left: 140px;*/
+/*margin-left: 140px;*/
 }
 
Index: /ether_megapoli/trunk/web/resources/jsp/informations_en.jsp
===================================================================
--- /ether_megapoli/trunk/web/resources/jsp/informations_en.jsp	(revision 371)
+++ /ether_megapoli/trunk/web/resources/jsp/informations_en.jsp	(revision 372)
@@ -12,5 +12,5 @@
             <th>&nbsp;Browser&nbsp;</th>
             <th>&nbsp;Version&nbsp;</th>
-            <th>&nbsp;Interface&nbsp;</th>
+            <th>&nbsp;Design&nbsp;</th>
             <th>&nbsp;Features&nbsp;</th>
         </tr>
@@ -36,4 +36,18 @@
             <td><center><img src="resources/images/utils/ok.png" width="20px" height="20x"/></center></td>
         </tr>
+        <tr>
+            <td>Windows 2008</td>
+            <td>Internet Explorer</td>
+            <td>9.0.8</td>
+            <td><center><img src="resources/images/utils/not.png" width="20px" height="20x"/></center></td>
+            <td><center><img src="resources/images/utils/ok.png" width="20px" height="20x"/></center></td>
+        </tr>
+        <tr>
+            <td>Windows 2008</td>
+            <td>Mozilla Firefox</td>
+            <td>8.0</td>
+            <td><center><img src="resources/images/utils/ok.png" width="20px" height="20x"/></center></td>
+            <td><center><img src="resources/images/utils/ok.png" width="20px" height="20x"/></center></td>
+        </tr>
     </table>
 
Index: /ether_megapoli/trunk/web/resources/jsp/informations_fr.jsp
===================================================================
--- /ether_megapoli/trunk/web/resources/jsp/informations_fr.jsp	(revision 371)
+++ /ether_megapoli/trunk/web/resources/jsp/informations_fr.jsp	(revision 372)
@@ -12,5 +12,5 @@
             <th>&nbsp;Navigateur&nbsp;</th>
             <th>&nbsp;Version&nbsp;</th>
-            <th>&nbsp;Interface&nbsp;</th>
+            <th>&nbsp;Design&nbsp;</th>
             <th>&nbsp;FonctionnalitÃ©s&nbsp;</th>
         </tr>
@@ -36,4 +36,18 @@
             <td><center><img src="resources/images/utils/ok.png" width="20px" height="20x"/></center></td>
         </tr>
+        <tr>
+            <td>Windows 2008</td>
+            <td>Internet Explorer</td>
+            <td>9.0.8</td>
+            <td><center><img src="resources/images/utils/not.png" width="20px" height="20x"/></center></td>
+            <td><center><img src="resources/images/utils/ok.png" width="20px" height="20x"/></center></td>
+        </tr>
+        <tr>
+            <td>Windows 2008</td>
+            <td>Mozilla Firefox</td>
+            <td>8.0</td>
+            <td><center><img src="resources/images/utils/ok.png" width="20px" height="20x"/></center></td>
+            <td><center><img src="resources/images/utils/ok.png" width="20px" height="20x"/></center></td>
+        </tr>
     </table>
 