Index: tapas/web/resources/css/complexButton.css
===================================================================
--- tapas/web/resources/css/complexButton.css	(revision 383)
+++ tapas/web/resources/css/complexButton.css	(revision 383)
@@ -0,0 +1,246 @@
+/*****************/
+/* Normal button
+/*****************/
+
+.normalButton {
+    text-decoration: none;
+    display: table;
+}
+
+.complexButton_left {
+    background-image: url("../images/elements/button_left_3.png");
+    background-repeat: no-repeat;
+    background-position: top left;
+    padding-left: 7px;
+    height: 39px;
+    width: 0;
+    float: left;
+}
+
+.complexButton_left_gray {
+    /*background-image: url("../images/elements/button_left_gray.png"); *//*background-image: url("../images/elements/button_left.png");*/
+    -moz-border-radius: 4px 0 0 4px;
+    -webkit-border-radius: 4px 0 0 4px;
+
+    background-image: url("../images/elements/button_middle_gray.png"); /*background-image: url("../images/elements/button_middle.png");*/
+    background-repeat: repeat-x;
+    height: 39px;
+    width: 2px;
+    float: left;
+}
+
+
+.complexButton_middle, .complexButton_middle_gray {
+    background-image: url("../images/elements/button_middle_3.png"); /*background-image: url("../images/elements/button_middle.png");*/
+    background-repeat: repeat-x;
+    height: 39px;
+    float: left;
+}
+
+.complexButton_middle_gray  {
+    background-image: url("../images/elements/button_middle_gray.png"); /*background-image: url("../images/elements/button_middle.png");*/
+}
+
+.complexButton_lonely_middle {
+    -moz-border-radius: 6px;
+    background-image: url("../images/elements/button_middle_3.png");
+    background-repeat: repeat-x;
+    height: 40px;
+    float: left;
+    padding-left: 7px;
+    padding-right: 8px;
+}
+
+.complexButton_text {
+    position: relative;
+    top: 12px;
+    color: white; /*color: #04155D;*/
+    font-size: 11px;
+    font-weight: bold;
+    text-align: center;
+}
+
+.complexButton_right {
+    background-image: url("../images/elements/button_right_3.png");
+    background-repeat: no-repeat;
+    background-position: top right;
+    padding-right: 8px;
+    height: 39px;
+    width: 0;
+    float: left;
+}
+
+.complexButton_right_gray {
+    /*background-image: url("../images/elements/button_right_gray.png");*/
+    -moz-border-radius: 0 4px 4px 0;
+    -webkit-border-radius: 0 4px 4px 0;
+
+    background-image: url("../images/elements/button_middle_gray.png"); /*background-image: url("../images/elements/button_middle.png");*/
+    background-repeat: repeat-x;
+    height: 39px;
+    width: 2px;
+    float: left;
+}
+
+.normalButton:hover .complexButton_left, .normalButton:hover .complexButton_middle, .normalButton:hover .complexButton_text {
+    background-position: left -19px;
+    color: #7f5d26;
+}
+
+.normalButton:hover .complexButton_right {
+    background-position: right -19px;
+}
+
+.normalButton:active .complexButton_left, .normalButton:active .complexButton_middle, .normalButton:active .complexButton_text {
+    background-position: left -38px;
+    color: #7f5d26;
+}
+
+.normalButton:active .complexButton_right {
+    background-position: right -38px;
+}
+
+.complexButton_disabled .complexButton_left, .complexButton_disabled:hover .complexButton_left, .complexButton_disabled:active .complexButton_left,
+.complexButton_disabled .complexButton_middle, .complexButton_disabled:hover .complexButton_middle, .complexButton_disabled:active .complexButton_middl,
+.complexButton_disabled .complexButton_text, .complexButton_disabled:hover .complexButton_text, .complexButton_disabled:active .complexButton_text {
+    background-position: left -57px;
+    cursor: default;
+    color: #5c5c5c;
+}
+
+.complexButton_disabled .complexButton_right, .complexButton_disabled:hover .complexButton_right, .complexButton_disabled:active .complexButton_right {
+    background-position: right -57px;
+    cursor: default;
+}
+
+/*****************/
+/* Blue button
+/*****************/
+
+.blueButton {
+    text-decoration: none;
+}
+
+.blueButton .complexButton_left {
+    background-image: url(../../../gif/common/buttonblue_left.gif);
+    padding-left: 7px;
+    height: 16px;
+}
+
+.blueButton .complexButton_middle {
+    background-image: url(../../../gif/common/buttonblue_middle.gif);
+    height: 16px;
+    color: #3D4C5E;
+}
+
+.blueButton .complexButton_text {
+    position: relative;
+    top: 1px;
+    color: #3D4C5E;
+}
+
+.blueButton .complexButton_right {
+    background-image: url(../../../gif/common/buttonblue_right.gif);
+    padding-right: 7px;
+    height: 16px;
+}
+
+.blueButton_disabled .complexButton_left, .blueButton_disabled:hover .complexButton_left, .blueButton_disabled:active .complexButton_left,
+.blueButton_disabled .complexButton_middle, .blueButton_disabled:hover .complexButton_middle, .blueButton_disabled:active .complexButton_middle {
+    background-position: left -54px;
+}
+
+.blueButton_disabled .complexButton_right, .blueButton_disabled:hover .complexButton_right, .blueButton_disabled:active .complexButton_right {
+    background-position: right -54px;
+}
+
+.blueButton_disabled .complexButton_text,
+.blueButton_disabled .complexButton_text:hover,
+.blueButton_disabled .complexButton_text:active {
+    color: gray;
+}
+
+/*****************/
+/* Big Button
+/*****************/
+
+.bigButton {
+    text-decoration: none;
+}
+
+.bigButton .complexButton_left {
+    background-image: url(../../../gif/common/button_big_left.gif);
+    padding-left: 10px;
+    height: 38px;
+}
+
+.bigButton .complexButton_middle {
+    background-image: url(../../../gif/common/button_big_middle.gif);
+    height: 29px;
+    padding-top: 9px;
+    font-size: 17px;
+    font-weight: bold;
+}
+
+.bigButton .complexButton_right {
+    background-image: url(../../../gif/common/button_big_right.gif);
+    padding-right: 10px;
+    height: 38px;
+}
+
+.bigButton:hover .complexButton_left, .bigButton:hover .complexButton_middle {
+    background-position: left -39px;
+    color: #7F5D26;
+}
+
+.bigButton:hover .complexButton_right {
+    background-position: right -39px;
+    color: #7F5D26;
+}
+
+.bigButton:active .complexButton_left, .bigButton:active .complexButton_middle {
+    background-position: left -78px;
+}
+
+.bigButton:active .complexButton_right {
+    background-position: right -78px;
+}
+
+.bigButton_disabled .complexButton_left, .bigButton_disabled:hover .complexButton_left, .bigButton_disabled:active .complexButton_left,
+.bigButton_disabled .complexButton_middle, .bigButton_disabled:hover .complexButton_middle, .bigButton_disabled:active .complexButton_middle {
+    background-position: bottom left;
+}
+
+.bigButton_disabled .complexButton_right, .bigButton_disabled:hover .complexButton_right, .bigButton_disabled:active .complexButton_right {
+    background-position: bottom right;
+}
+
+.bigButton_disabled .complexButton_middle {
+    color: gray;
+}
+
+.bigButton_disabled:hover .complexButton_middle {
+    color: gray;
+}
+
+/*****************************/
+/*** Bouton plus
+/*****************************/
+
+.complexButton_plus {
+    background-image: url(../../../gif/ranking/button_plus.gif);
+    height: 14px;
+    width: 14px;
+}
+
+.complexButton_plus:hover {
+    background-position: right -14px;
+}
+
+.complexButton_plus:active {
+    background-position: right -28px;
+}
+
+.complexButton_plus_disabled, .complexButton_plus_disabled:hover, .complexButton_plus_disabled:active {
+    background-position: right -42px;
+}
Index: tapas/web/resources/css/ether.css
===================================================================
--- tapas/web/resources/css/ether.css	(revision 379)
+++ tapas/web/resources/css/ether.css	(revision 383)
@@ -1,85 +1,330 @@
-body{
-	font-size: 14px;
-}
-
-.pair,.impair {
-	width: 234px;
-	padding-top: 3px;
-	padding-bottom: 3px;
-}
-
-.pair {
-	background-color:#f5f3ec;
-}
-
-.impair {
-	background-color:#FFFDF6;
-}
-
-.bindedText {
-	color: #6178BC;
-	text-decoration: none;
-}
-
-/** ************************************ **/
-/** *********** DIV INFOS ************** **/
-/** ************************************ **/
-.error, .alert, .notice, .success, .info, .loading {
-	padding: 0.5em;
-	margin: 0.5em auto;
-	border: 2px solid #ddd;
-	text-align: center;
-}
-
-.error, .alert {
-	background: #fbe3e4;
-	color: #8a1f11;
-	border-color: #fbc2c4;
-}
-
-.notice {
-	background: #fff6bf;
-	color: #514721;
-	border-color: #ffd324;
-}
-
-.success {
-	background: #e6efc2;
-	color: #264409;
-	border-color: #c6d880;
-}
-
-.info {
-	background: #d5edf8;
-	color: #205791;
-	border-color: #92cae4;
-}
-
-.loading
-{
-	border: none;
-}
-
-/** ************************************ **/
-/** ************ LOADING *************** **/
-/** ************************************ **/
-.loading-classic {
-	background-image: url("resources/icons/loading.gif");
-	height: 35px;
-	width: 35px;
-}
-
-/** ************************************ **/
-/** ************* OTHERS *************** **/
-/** ************************************ **/
-#messages {
-	color:#806159;
-	font-weight:bold;
-	vertical-align:middle;
-	/*margin-bottom:1em;*/
-}
-
-
-#containerPlateforms {
-    color:#6178BC;
-}
+/** ***************************************************** **/
+/** ************************ TITLES ********************* **/
+/** ***************************************************** **/
+.title1 {
+    color: #165076;
+    font-weight: bold;
+    font-size: 15px;
+}
+
+.title2 {
+    color: #165076;
+    font-weight: bold;
+}
+
+/** ***************************************************** **/
+/** ********************* CONTAINERS ******************** **/
+/** ***************************************************** **/
+.containerWhite {
+    position: relative;
+    left: 600px;
+    background-color: #F4F4F4;
+    width: 13px;
+    height: 108px;
+}
+
+.containerEther {
+    -moz-border-radius: 4px 4px 4px 4px;
+    -webkit-border-radius: 4px 4px 4px 4px;
+    -moz-box-shadow: 2px 3px 7px rgba(0, 0, 0, 0.3);
+    -webkit-box-shadow: 2px 3px 7px rgba(0, 0, 0, 0.3);
+    box-shadow: 2px 3px 7px rgba(0, 0, 0, 0.3);
+    width: 980px;
+    float: left;
+    margin-bottom: 10px;
+}
+
+/** ***************************************************** **/
+.containerTitleTools {
+    width: 980px;
+    float: left;
+    margin-bottom: 10px;
+}
+
+.containerLogoTitleNav {
+    float: left;
+}
+
+.containerLogoTitle {
+    -moz-border-radius: 4px 0 0 4px;
+    -webkit-border-radius: 4px 0 0 4px;
+    -moz-box-shadow: 2px 3px 7px 0 rgba(0, 0, 0, 0.3);
+    -webkit-box-shadow: 2px 3px 7px 0 rgba(0, 0, 0, 0.3);
+    box-shadow: 2px 3px 7px rgba(0, 0, 0, 0.3);
+    height: 108px;
+    width: 604px;
+    background-color: #F4F4F4;
+}
+
+.containerLogoEther {
+    float: left;
+    width: 80px;
+    height: 80px;
+    padding: 15px;
+}
+
+.containerTitle {
+    font-size: 24px;
+    color: #003d6c;
+    font-weight: bold;
+    float: left;
+    margin-top: 29px;
+    margin-left: 10px;
+    margin-bottom: 18px;
+    width: 483px;
+}
+
+.containerTitlePart2 {
+    text-align: right;
+    margin-right: 10px;
+    margin-top: 12px;
+}
+
+.containerNav {
+    -moz-border-radius: 4px 4px 4px 4px;
+    -webkit-border-radius: 4px 4px 4px 4px;
+    -moz-box-shadow: 2px 3px 7px rgba(0, 0, 0, 0.3);
+    -webkit-box-shadow: 2px 3px 7px rgba(0, 0, 0, 0.3);
+    box-shadow: 2px 3px 7px rgba(0, 0, 0, 0.3);
+    margin-top: 13px;
+    width: 589px;
+    height: 28px;
+    padding-left: 10px;
+    padding-top: 5px;
+    background-color: #F4F4F4;
+}
+
+.containerToolsMenus {
+    -moz-border-radius: 0 4px 4px 4px;
+    -webkit-border-radius: 0 4px 4px 4px;
+    -moz-box-shadow: 2px 3px 7px rgba(0, 0, 0, 0.3);
+    -webkit-box-shadow: 2px 3px 7px rgba(0, 0, 0, 0.3);
+    box-shadow: 2px 3px 7px rgba(0, 0, 0, 0.3);
+    float: left;
+    margin-left: 5px;
+    width: 367px;
+    min-height: 155px;
+    background-color: #F4F4F4;
+}
+
+.containerTools {
+    float: right;
+    -moz-border-radius: 4px 4px 4px 4px;
+    -webkit-border-radius: 4px 4px 4px 4px;
+    background: -moz-linear-gradient(left, #F4F4F4, #C0C0C0);
+    background: -webkit-linear-gradient(left, #F4F4F4, #COCOCO);
+    background: -ms-linear-gradient(left, #F4F4F4, #COCOCO); /*For IE10*/
+    width: 300px;
+    height: 30px;
+}
+
+.containerMenu {
+    float: left;
+    color: #456487;
+    margin-left: 22px;
+}
+
+.containerSubMenu {
+    float: left;
+    color: #81A0C3;
+    margin-top: 6px;
+    font-size: 11px;
+}
+
+.containerSubMenu li {
+    margin-top: -6px;
+}
+
+.containerSubMenu ul {
+    margin-left: -6px;
+}
+
+/** ***************************************************** **/
+
+/** ***************************************************** **/
+.containerNewsImages {
+    height: 150px;
+    width: 460px;
+    margin-bottom: 0;
+    background-color: #F4F4F4;
+}
+
+.containerNewsTexts {
+    background: #F4F4F4;
+    background: -moz-linear-gradient(0deg, #003d6c -9%, rgba(125, 185, 232, 0.48) 30%, rgba(125, 185, 232, 0) 83%) repeat scroll 0 0 transparent;
+    background: -ms-linear-gradient(0deg, #003d6c -9%, rgba(125, 185, 232, 0.48) 30%, rgba(125, 185, 232, 0) 83%) repeat scroll 0 0 transparent; /*For IE10*/
+    filter: progid:DXImageTransform.Microsoft.gradient(GradientType = 0, startColorstr = 'white', endColorstr = '#3299CC'); /*For IE7-8-9*/
+    float: right;
+    height: 150px;
+    width: 500px;
+    margin-right: 3px;
+}
+
+.containerNewsTextsTitle {
+    color: #003d6c;
+    font-size: 16px;
+    text-align: right;
+    margin-right: 20px;
+    margin-top: 10px;
+}
+
+.containerScrollNews {
+    margin-top: 8px;
+    margin-left: 31px;
+    color: #165076;
+}
+
+.containerScrollNews ul li a {
+    color: #165076;
+}
+
+.containerScrollNews ul li:hover, .containerScrollNews ul li a:hover {
+    font-weight: bold;
+    color: #165076;
+}
+
+/** ***************************************************** **/
+
+/** ***************************************************** **/
+.containerBottom {
+    background: -moz-linear-gradient(left center, white, #C0C0C0) repeat scroll 0 0 transparent;
+    background: -ms-linear-gradient(left center, white, #C0C0C0) repeat scroll 0 0 transparent; /*For IE10*/
+    filter: progid:DXImageTransform.Microsoft.gradient(GradientType = 0, startColorstr = 'white', endColorstr = '#C0C0C0'); /*For IE7-8-9*/
+    color: #003D6C;
+    height: 26px;
+    padding-right: 10px;
+    position: relative; /*top: -32px;*/
+    width: 972px;
+}
+
+/** ***************************************************** **/
+
+/** ***************************************************** **/
+/** ********************* LI SUBMENUS ******************* **/
+/** ***************************************************** **/
+li.li0 {
+    border-left: 7px solid #ADEAEA;
+}
+
+li.li1 {
+    border-left: 7px solid #236B8E;
+}
+
+li.li2 {
+    border-left: 7px solid #3299CC;
+}
+
+li.li3 {
+    border-left: 7px solid #38B0DE;
+}
+
+li.li4 {
+    border-left: 7px solid #7093D8;
+}
+
+li.li5 {
+    border-left: 7px solid #5959AB;
+}
+
+li.li0:hover, li.li1:hover, li.li2:hover, li.li3:hover, li.li4:hover, li.li5:hover {
+    border-left: 7px solid #00FFFF;
+    color: #165076;
+}
+
+/** ***************************************************** **/
+
+/** ***************************************************** **/
+/** *********************** OTHERS ********************** **/
+/** ***************************************************** **/
+.roundTable {
+    -moz-border-radius: 4px;
+    -webkit-border-radius: 4px;
+    border: 1px solid;
+    width: 100%;
+}
+
+/** ***************************************************** **/
+
+/** ***************************************************** **/
+/** *********************** SLIDES ********************** **/
+/** ***************************************************** **/
+
+.slideTable {
+    float: left;
+    width: 99%;
+    margin: 5px 5px -15px;
+}
+
+.slideTable td {
+    -moz-border-radius: 4px;
+    -webkit-border-radius: 4px;
+    border: 2px solid #C0C0C0;
+    padding: 5px 5px 0 5px;
+    text-align: center;
+    color: #003D6C;
+    vertical-align: top;
+}
+
+.slideTable td:hover {
+    color: #708090;
+    font-weight: bold;
+    background: #e2e2e2; /* Old browsers */
+    background: -moz-linear-gradient(top, #e2e2e2 0%, #dbdbdb 45%, #d1d1d1 51%, #fefefe 100%); /* FF3.6+ */
+    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #e2e2e2), color-stop(50%, #dbdbdb), color-stop(51%, #d1d1d1), color-stop(100%, #fefefe)); /* Chrome,Safari4+ */
+    background: -webkit-linear-gradient(top, #e2e2e2 0%, #dbdbdb 50%, #d1d1d1 51%, #fefefe 100%); /* Chrome10+,Safari5.1+ */
+    background: -o-linear-gradient(top, #e2e2e2 0%, #dbdbdb 50%, #d1d1d1 51%, #fefefe 100%); /* Opera 11.10+ */
+    background: -ms-linear-gradient(top, #e2e2e2 0%, #dbdbdb 50%, #d1d1d1 51%, #fefefe 100%); /* IE10+ */
+    background: linear-gradient(top, #e2e2e2 0%, #dbdbdb 50%, #d1d1d1 51%, #fefefe 100%); /* W3C */
+}
+
+.slideTable td a:hover, .slideTable td:hover a {
+    color: #708090;
+}
+
+.slideTableTitle {
+    height: 30px;
+}
+
+.slideSubLevels {
+    min-height: 230px;
+}
+
+.slideTableSubLevel {
+    display: none;
+    width: 1%;
+    margin-top: 14px;
+    margin-bottom: 5px;
+}
+
+#logoMimosa, #logoReprobus, #logoIasi, #logoMozaic {
+    margin-top: 5px;
+}
+
+#logoTropico, #logoGeisa {
+    margin-top: 8px;
+}
+
+#logoEccad {
+    margin-top: 10px;
+}
+
+.containerSubLevel {
+    -moz-border-radius: 4px 4px 4px 4px;
+    float: left;
+    border: 2px solid #C0C0C0;
+    color: #003D6C;
+    padding: 5px 5px 0;
+    text-align: center;
+    vertical-align: bottom;
+}
+
+#subLevelsCampaigns {
+/*margin-left: 400px;*/
+/*vertical-align: bottom;*/
+}
+
+#tdCampaigns table td {
+    border: none;
+}
+
+/** ***************************************************** **/
Index: tapas/web/resources/css/mainEther.css
===================================================================
--- tapas/web/resources/css/mainEther.css	(revision 383)
+++ tapas/web/resources/css/mainEther.css	(revision 383)
@@ -0,0 +1,102 @@
+html {
+    border: 0 none;
+    margin: 0;
+    padding: 0;
+}
+
+body, table {
+    font-size: 13px;
+    line-height: 1.7em; /*color: #333333;*/
+    color: #04155D;
+    font-family: Trebuchet MS, Arial, san-serif;
+}
+
+.pageWrapper {
+    width: 980px;
+    /*text-align: left;*/
+    margin: auto;
+}
+
+a img {
+    border-width: 0;
+}
+
+a {
+    color: #165076;
+    text-decoration: none;
+}
+
+a:hover {
+    text-decoration: none;
+    color: #2277BB;
+}
+
+a:visited {
+    text-decoration: none;
+    color: #618EAC;
+}
+
+input {
+    -moz-border-radius: 4px 4px 4px 4px;
+    -webkit-border-radius: 4px 4px 4px 4px;
+}
+
+li {
+    list-style-type: none;
+}
+
+li:hover {
+    color: #ADEAEA;
+}
+
+.navStyle {
+    position: absolute;
+    top: -13px;
+}
+
+/** ************************************ **/
+/** *********** DIV INFOS ************** **/
+/** ************************************ **/
+.error, .alert, .notice, .success, .info, .loading {
+    padding: 0.5em;
+    margin: 0.5em auto;
+    border: 2px solid #ddd;
+    text-align: center;
+}
+
+.error, .alert {
+    background: #fbe3e4;
+    color: #8a1f11;
+    border-color: #fbc2c4;
+}
+
+.notice {
+    background: #fff6bf;
+    color: #514721;
+    border-color: #ffd324;
+}
+
+.success {
+    background: #e6efc2;
+    color: #264409;
+    border-color: #c6d880;
+}
+
+.info {
+    background: #d5edf8;
+    color: #205791;
+    border-color: #92cae4;
+}
+
+.loading {
+    border: none;
+}
+
+/** ************************************ **/
+/** ************ LOADING *************** **/
+/** ************************************ **/
+.loading-classic {
+    background-image: url(../../resources/icons/transparent_loading.gif);
+    height: 16px;
+    width: 16px;
+}
Index: tapas/web/resources/css/verticalSlide.css
===================================================================
--- tapas/web/resources/css/verticalSlide.css	(revision 383)
+++ tapas/web/resources/css/verticalSlide.css	(revision 383)
@@ -0,0 +1,128 @@
+.containerSlides {
+    width: 980px;
+    float: left;
+    margin-bottom: 10px;
+}
+
+.containerSlideTitle {
+    background: -moz-linear-gradient(white, #C0C0C0);
+    background: -webkit-linear-gradient(white, #COCOCO);
+    filter: progid:DXImageTransform.Microsoft.gradient(GradientType = 0, startColorstr = 'white', endColorstr = '#C0C0C0'); /*For IE7-8-9*/
+    -moz-border-radius: 4px 4px 4px 4px;
+    -webkit-border-radius: 4px 4px 4px 4px;
+    float: left;
+    padding-top: 5px;
+    padding-left: 10px;
+    font-weight: bold;
+    width: 970px;
+    height: 24px;
+}
+
+.containerSlide {
+    -moz-border-radius: 4px 4px 4px 4px;
+    -webkit-border-radius: 4px 4px 4px 4px;
+    -moz-box-shadow: 0 0 4px rgba(0, 0, 0, 0.3);
+    -webkit-box-shadow: 0 0 4px rgba(0, 0, 0, 0.3);
+    background-color: #F5F5F5;
+    margin-bottom: 1px;
+}
+
+.containerSlideTitle:hover {
+    color: white;
+}
+
+.containerSlideTitle.activated {
+    -moz-border-radius: 4px 4px 0 0;
+    -webkit-border-radius: 4px 4px 0 0;
+}
+
+.containerSlideTitle_image {
+    float: left;
+    width: 15px;
+    height: 18px;
+    margin-top: 3px;
+}
+
+.containerSlideTitle_text {
+    float: left;
+    margin-top: -2px;
+    margin-left: 7px;
+}
+
+.containerSlideContent {
+    -moz-border-radius: 0 0 4px 4px;
+    -webkit-border-radius: 0 0 4px 4px;
+    background-color: #F5F5F5;
+}
+
+/** ***************************************************** **/
+/** *********************** INIT.JSP ******************** **/
+/** ***************************************************** **/
+#slide_activities_title:hover .containerSlideTitle_image, #slide_data_title:hover .containerSlideTitle_image, #slide_databases_title:hover .containerSlideTitle_image, #slide_services_title:hover .containerSlideTitle_image {
+    background-image: url("../../resources/icons/arrow_white_right.png");
+    background-repeat: no-repeat;
+}
+
+#slide_activities_title.activated .containerSlideTitle_image, #slide_data_title.activated .containerSlideTitle_image, #slide_databases_title.activated .containerSlideTitle_image, #slide_services_title.activated .containerSlideTitle_image {
+    background-image: url("../../resources/icons/arrow_white_down.png");
+    background-repeat: no-repeat;
+    margin-top: 0;
+}
+
+/** #slide_activities_title **/
+#slide_activities_title:hover, #slide_activities_title.activated {
+    background: #003d6c;
+    background: -moz-linear-gradient(#9ac8ec, #003d6c);
+    background: -webkit-linear-gradient(#9ac8ec, #003d6c);
+    filter: progid:DXImageTransform.Microsoft.gradient(GradientType = 0, startColorstr = '#9ac8ec', endColorstr = '#003d6c'); /*For IE7-8-9*/
+    color: white;
+}
+
+#slide_activities_title .containerSlideTitle_image {
+    background-image: url("../../resources/icons/arrow_blue_right.png");
+    background-repeat: no-repeat;
+}
+
+/** #slide_data_title **/
+#slide_data_title:hover, #slide_data_title.activated {
+    background: #d51311;
+    background: -moz-linear-gradient(#f9adad, #d51311) repeat scroll 0 0 transparent;
+    background: -webkit-linear-gradient(#f9adad, #d51311) repeat scroll 0 0 transparent;
+    filter: progid:DXImageTransform.Microsoft.gradient(GradientType = 0, startColorstr = '#f9adad', endColorstr = '#d51311'); /*For IE7-8-9*/
+    color: white;
+}
+
+#slide_data_title .containerSlideTitle_image {
+    background-image: url("../../resources/icons/arrow_red_right.png");
+    background-repeat: no-repeat;
+}
+
+/** #slide_databases_title **/
+#slide_databases_title:hover, #slide_databases_title.activated {
+    background: #ffcf02;
+    background: -moz-linear-gradient(#f8edc2, #ffcf02) repeat scroll 0 0 transparent;
+    background: -webkit-linear-gradient(#f8edc2, #ffcf02) repeat scroll 0 0 transparent;
+    filter: progid:DXImageTransform.Microsoft.gradient(GradientType = 0, startColorstr = '#f8edc2', endColorstr = '#ffcf02'); /*For IE7-8-9*/
+    color: white;
+}
+
+#slide_databases_title .containerSlideTitle_image {
+    background-image: url("../../resources/icons/arrow_yellow_right.png");
+    background-repeat: no-repeat;
+}
+
+/** #slide_services_title **/
+#slide_services_title:hover, #slide_services_title.activated {
+    background: #0569c7;
+    background: -moz-linear-gradient(#a6d1f8, #0569c7) repeat scroll 0 0 transparent;
+    background: -webkt-linear-gradient(#a6d1f8, #0569c7) repeat scroll 0 0 transparent;
+    filter: progid:DXImageTransform.Microsoft.gradient(GradientType = 0, startColorstr = '#a6d1f8', endColorstr = '#0569c7'); /*For IE7-8-9*/
+    color: white;
+}
+
+#slide_services_title .containerSlideTitle_image {
+    background-image: url("../../resources/icons/arrow_blue_2_right.png");
+    background-repeat: no-repeat;
+}
+
+/** ***************************************************** **/
Index: tapas/web/resources/css/visu_plateform.css
===================================================================
--- tapas/web/resources/css/visu_plateform.css	(revision 379)
+++ 	(revision )
@@ -1,76 +1,0 @@
-/* ****************** CONTAINERS ************************* */
-#containerPlateforms, #containerParameters, #containerCalendar
-{
-	margin-top: 10px;
-}
-
-.containerPlateform, .containerParameter
-{
-	color: #6178BC;
-}
-
-.containerPlateform:hover, .containerParameter:hover
-{
-#	text-decoration: underline;
-	background: #70739C;
-	color: #FFFFFF;
-}
-
-/* ****************** LOADINGS ************************* */
-#loadingForPlateforms, #loadingForParameters
-{
-    position: relative;
-    top: 102px;
-    left: 100px;
-}
-
-/* ****************** OTHERS ************************* */
-#NoPlateform, #NoParameter
-{
-    position: relative;
-    top: 100px;
-    left: 65px;
-	color: #04155D;
-}
-
-.plateform_selected, .plateform_selected:hover,
-.parameter_selected, .parameter_selected:hover
-{
-	background: #70739C;
-	color: #E1DEF1;
-	text-decoration: none;
-}
-
-.errorAndButtons{
-#	margin: 0px 22px;
-	margin-left: auto;
-    margin-right: auto;
-    max-width: 240px;
-}
-
-#copyright {
-	margin-left:-80em;
-}
-/** ************************************ **/
-/** ************ CALENDAR ************** **/
-/** ************************************ **/
-.embeddedCalendar
-{
-	margin-top: 10px;
-	margin-bottom: 10px;
-	max-width: 240px;
-}
-
-div.leftField{
-	float: left;
-	margin-left: 53px;
-}
-
-div.rightField{
-	float: right;
-	margin-right: 53px;
-}
-
-/** ************************************ **/
-/** ************ BUTTONS *************** **/
-/** ************************************ **/