Index: /tapas/common/implementation/com/ether/Context.java
===================================================================
--- /tapas/common/implementation/com/ether/Context.java	(revision 403)
+++ /tapas/common/implementation/com/ether/Context.java	(revision 404)
@@ -56,8 +56,7 @@
      * DÃ©signe l'adresse mail du webmaster
      */
-    public static String getWebmaster( HttpServletRequest request )
+    public static String getWebmaster( final HttpServletRequest request )
     {
-        String webmaster = (String) request.getSession().getServletContext().getAttribute( "APP_WEBMASTER" );
-        return webmaster;
+        return (String) request.getSession().getServletContext().getAttribute( "APP_WEBMASTER" );
     }
 
@@ -67,7 +66,7 @@
      * @return le nom de la racine.
      */
-    public static String getWebroot( HttpServletRequest request )
+    public static String getWebroot( final HttpServletRequest request )
     {
-        String path = request.getSession().getServletContext().getRealPath( "" );
+        final String path = request.getSession().getServletContext().getRealPath( "" );
         return path.substring( path.lastIndexOf( "/" ) + 1 );
     }
@@ -79,5 +78,5 @@
      * @return l'uri de la page courante
      */
-    public static String getPageURI( HttpServletRequest request )
+    public static String getPageURI( final HttpServletRequest request )
     {
         return request.getRequestURI().substring( request.getRequestURI().indexOf( '/' ) + 1 );
@@ -92,5 +91,5 @@
      * @return
      */
-    public static String getRelativePageURI( HttpServletRequest request )
+    public static String getRelativePageURI( final HttpServletRequest request )
     {
         String pageUri = getPageURI( request );
@@ -103,5 +102,5 @@
 
 
-    public static String getRelativePath( HttpServletRequest request )
+    public static String getRelativePath( final HttpServletRequest request )
     {
         String uri = getPageURI( request );
@@ -119,5 +118,5 @@
      * @return la langue courante.
      */
-    public static String getLangue( HttpServletRequest request )
+    public static String getLangue( final HttpServletRequest request )
     {
         String lang = (String) request.getSession().getAttribute( "lang" );
Index: /tapas/web/resources/templates/templateEther.jsp
===================================================================
--- /tapas/web/resources/templates/templateEther.jsp	(revision 403)
+++ /tapas/web/resources/templates/templateEther.jsp	(revision 404)
@@ -1,3 +1,2 @@
-<%@ page import="com.ether.Context" %>
 <%@ page contentType="text/html;charset=UTF-8" language="java" %>
 <%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
@@ -16,8 +15,6 @@
 
     <ether:htmlCss cssFile="apycom.com-5-red/menu"/>
-    <%--<ether:htmlCss cssFile="TwitterLogin/front"/>--%>
     <ether:htmlCss cssFile="jquery-ui-1.8.16.custom/jquery-ui-1.8.16.custom"/>
     <ether:htmlCss cssFile="button"/>
-    <%--<ether:htmlCss cssFile="complexButton"/>--%>
     <ether:htmlCss cssFile="mainEther"/>
     <ether:htmlCss cssFile="tapas"/>
@@ -28,8 +25,5 @@
     <ether:htmlJs jsFile="classesForJQuery/etherHelper"/>
     <ether:htmlJs jsFile="classesForJQuery/Button"/>
-    <ether:htmlJs jsFile="classesForJQuery/LoginButton"/>
     <ether:htmlJs jsFile="apycom.com-5-red/menu"/>
-    <%--<ether:htmlJs jsFile="TwitterLogin/javascripts/jquery.tipsy"/>--%>
-    <%--<ether:htmlJs jsFile="jquery-ui-1.8.16.custom/js/jquery-ui-1.8.16.custom.min"/>--%>
 
     <jsp:include page="templateEther_script.jsp"/>
@@ -120,5 +114,5 @@
     <%-- ****************** BOTTOM ****************** --%>
     <div id="containerBottom" class="containerTapas containerBottom" align="right">
-        &copy; 2010-2011 <a href="http://ether.ipsl.jussieu.fr" target="help">ETHER&nbsp;</a>/ CNRS
+        &copy; 2012 <a href="http://ether.ipsl.jussieu.fr" target="help">ETHER&nbsp;</a>/ CNRS
     </div>
 </div>
@@ -134,46 +128,5 @@
     templateTexts["label.mail"] = '<spring:message code="label.mail"/>';
     templateTexts["label.map"] = '<spring:message code="label.map"/>';
-    templateTexts["label.atmosphere.chemistry"] = '<spring:message code="label.atmosphere.chemistry"/>';
-    templateTexts["label.activities"] = '<spring:message code="label.activities"/>';
-    templateTexts["label.data.services"] = '<spring:message code="label.data.services"/>';
-    templateTexts["label.community"] = '<spring:message code="label.community"/>';
-    templateTexts["label.pole.presentation"] = '<spring:message code="label.pole.presentation"/>';
-    templateTexts["label.users.committee"] = '<spring:message code="label.users.committee"/>';
-    templateTexts["label.laboratories"] = '<spring:message code="label.laboratories"/>';
-    templateTexts["label.workshops"] = '<spring:message code="label.workshops"/>';
-    templateTexts["label.ether.letter"] = '<spring:message code="label.ether.letters"/>';
-    templateTexts["label.informations"] = '<spring:message code="label.informations"/>';
 
-    //    templateTexts["app.en"] = '<bean:message key="app.en"/>';
-    //    templateTexts["app.fr"] = '<bean:message key="app.fr"/>';
-    <%--templateTexts["data.upload.metadata.contact.mail"] = '<bean:message key="data.upload.metadata.contact.mail"/>';--%>
-    <%--templateTexts["data.access.extract.short"] = '<bean:message key="data.access.extract.short"/>';--%>
-    <%--templateTexts["data.upload.short"] = '<bean:message key="data.upload.short"/>';--%>
-    <%--templateTexts["app.backoffice"] = '<bean:message key="app.backoffice"/>';--%>
-    <%--templateTexts["app.backoffice.help"] = '<bean:message key="app.backoffice.help"/>';--%>
-
-    <%--templateTexts["app.credits"] = '<bean:message key="app.credits"/>';--%>
-    <%--templateTexts["app.mentions"] = '<bean:message key="app.mentions"/>';--%>
-    <%--templateTexts["app.infos"] = '<bean:message key="app.infos"/>';--%>
-    <%--templateTexts["login.dataProtocolAccept"] = "<bean:message key="login.dataProtocolAccept"/>";--%>
-    <%--templateTexts["login.dataProtocolFields"] = "<bean:message key="login.dataProtocolFields"/>";--%>
-    <%--templateTexts["login.dataProtocol.account"] = "<bean:message key="login.dataProtocol.account"/>";--%>
-    <%--templateTexts["<%=WebException.WebCode.USER_ALREADY_EXISTS%>"] = "<bean:message key="login.dataProtocol.alreadyExist"/>";--%>
-
-    <%--// Needed texts if you use the library LoginButton.js--%>
-    <%--var loginTexts = $A( "" );--%>
-    <%--loginTexts["app.connexion"] = '<bean:message key="app.connexion"/>';--%>
-    <%--loginTexts["login"] = '<bean:message key="login"/>';--%>
-    <%--loginTexts["login.password"] = '<bean:message key="login.password"/>';--%>
-    <%--loginTexts["login.sign"] = '<bean:message key="login.sign"/>';--%>
-    <%--loginTexts["login.pwdForget"] = '<bean:message key="login.pwdForget"/>';--%>
-    <%--loginTexts["login.loginForget"] = '<bean:message key="login.loginForget"/>';--%>
-    <%--loginTexts["login.loginForget.help"] = '<bean:message key="login.loginForget.help"/>';--%>
-    <%--loginTexts["login.inscription"] = '<bean:message key="login.inscription"/>';--%>
-    <%--loginTexts["login.error.notFound"] = "<bean:message key='login.error.notFound'/>";--%>
-    <%--loginTexts["login.error.wrongPassword"] = "<bean:message key='login.error.wrongPassword'/>";--%>
-    <%--loginTexts["login.error.failed"] = "<bean:message key='login.error.failed' arg0="<%=Context.getWebmaster( request )%>"/>";--%>
-    <%--loginTexts["login.error.notAccepted"] = "<bean:message key='login.error.notAccepted'/>";--%>
-    <%--loginTexts["login.text"] = "<bean:message key="login.text"/>";--%>
 
     var interfaceTemplate = new InterfaceTemplate();
Index: /tapas/web/resources/templates/templateEther_script.jsp
===================================================================
--- /tapas/web/resources/templates/templateEther_script.jsp	(revision 403)
+++ /tapas/web/resources/templates/templateEther_script.jsp	(revision 404)
@@ -13,11 +13,9 @@
             /** *********** VARIABLES *********** **/
             this.isLanguageFr = <%=Context.getLangue(request).equals( "fr" )%>;
-            this.webmaster = "<%=Context.getWebmaster(request)%>";
-            <%--this.jSONUser = <%=Context.getJSONUser( request )%> ? <%=Context.getJSONUser( request )%> : false;--%>
+            // TODO : vÃ©rifier cette adresse de webmaster !!!!
+            this.webmaster = "rboipsl@ipsl.jussieu.fr";
 
             /** ************ CREATE ************ **/
-//        this.createLogin();
             this.createTools();
-            this.updateLoginOrLogout();
         },
 
@@ -36,12 +34,4 @@
         },
 
-        createLogin: function()
-        {
-            this.loginModule = new LoginButton( {parent:this.containerLogin, urlLogin:"project?methodName=login", urlLogout:"project?methodName=logout", isNeededInscription:true, callbackInscription:jQuery.proxy( this.onClickInscription, this ), anotherOnClickLogin:this.updateLoginOrLogout, anotherOnClickLogout:this.updateLoginOrLogout } );
-            this.loginModule.setJSONUser( this.jSONUser );
-            this.loginModule.display();
-            setLoginModule( this.loginModule );
-        },
-
         // REQUESTS ********************************************************
 
@@ -57,5 +47,5 @@
             this.webmaster = "<%=Context.getWebmaster(request)%>";
 
-            alert("<%=request.getQueryString()%>||<%=Context.getRelativePath( request )%>||<%=Context.getRelativePageURI(request)%>");
+            alert( "<%=request.getQueryString()%>||<%=Context.getRelativePath( request )%>||<%=Context.getRelativePageURI(request)%>" );
 
             this.relativePageUri = <%=request.getQueryString() != null%> ? "<%=Context.getRelativePath( request )%>?<%=request.getQueryString()%>" : "<%=Context.getRelativePageURI(request)%>";
@@ -71,82 +61,7 @@
         {
             document.location.href = "mailto:" + this.webmaster + "?subject=[TAPAS]";
-        },
-
-        onClickInscription: function()
-        {
-            var dataProtocol = "resources/jsp/dataProtocol_fr.jsp";
-            if( !this.isLanguageFr )
-                dataProtocol = "resources/jsp/dataProtocol_en.jsp";
-
-            var $dialog = $( '<div></div>' )
-                    .load( dataProtocol )
-                    .dialog( {
-                                 autoOpen: false,
-                                 title: loginTexts["login.inscription"],
-                                 height: 800,
-                                 width: 750
-                             } );
-            $dialog.dialog( 'open' );
-
-            // TODO : see with $dialog.ready() to manage buttons
-        },
-
-        updateLoginOrLogout: function()
-        {
-            <%--if( "<%=UserRole.ADMINISTRATOR%>" == getJSONUserRole() )--%>
-            <%--$( "#button_bo" ).show();--%>
-            <%--else--%>
-            <%--$( "#button_bo" ).hide();--%>
         }
 
     } );
 
-    /** ******************************* **/
-    /** *********** ACCOUNT *********** **/
-    /** ******************************* **/
-    function onClickAcceptDataProtocol()
-    {
-        if( '' == $( "#lastName" ).val() || '' == $( "#email" ).val() || '' == $( "#password" ).val() )
-        {
-            showErrorAccount( null, templateTexts["login.dataProtocolFields"] );
-            return;
-        }
-
-        if( $( "#checkboxUser" ).attr( 'checked' ) )
-            createAccount();
-        else
-            showErrorAccount( null, templateTexts["login.dataProtocolAccept"] );
-    }
-
-    function createAccount()
-    {
-        var parametersUrl = "name=" + $( "#lastName" ).val() + "&firstName=" + $( "#firstName" ).val() + "&email=" + $( "#email" ).val() + "&pwd=" + $( "#password" ).val();
-        var request = $.ajax( {
-            url: "project?methodName=createAccount&" + parametersUrl,
-            success:handleCreateAccount,
-            error: showErrorAccount
-        } );
-    }
-
-    function handleCreateAccount()
-    {
-        $( "#infosAccount" ).hide();
-        $( "#infosAccount" ).removeClass( "containerErrors" );
-        $( "#infosAccount" ).addClass( "containerInfos" );
-        $( "#infosAccount" ).html( templateTexts["login.dataProtocol.account"] );
-        $( "#infosAccount" ).show();
-    }
-
-    function showErrorAccount( result, text )
-    {
-        $( "#infosAccount" ).hide();
-        $( "#infosAccount" ).removeClass( "containerInfos" );
-        $( "#infosAccount" ).addClass( "containerErrors" );
-        if( null != result )
-            $( "#infosAccount" ).html( templateTexts[result.responseText] );
-        else
-            $( "#infosAccount" ).html( text );
-
-        $( "#infosAccount" ).show();
-    }
 </script>
Index: /tapas/web/src/messages_en.properties
===================================================================
--- /tapas/web/src/messages_en.properties	(revision 403)
+++ /tapas/web/src/messages_en.properties	(revision 404)
@@ -16,47 +16,3 @@
 error.ERROR_JSON_TAPAS_IS_NULL=Error to create the form
 
-label.atmosphere.chemistry=Atmosphere chemistry
-label.activities=Activities
-label.data.services=Data/Services
-label.community=Community
-label.pole.presentation=Pole presentation
-label.users.committee=Users committee
-label.laboratories=Laboratories
-label.workshops=Workshops
-label.ether.letters=Ether letters
-label.informations=Informations
-
-label.balloons=Balloons
-label.satellites=Satellites
-label.campaigns=Campaigns
-label.models=Models
-label.meteo=Meteo
-label.links=Links
-
-home.title.part1=Centre for Atmospheric Chemistry
-home.title.part2=Products and Services
-home.news=N E W S
-home.main.activities=ETHER MAIN ACTIVITIES
-home.data=DATA
-home.databases=DATABASES
-home.services=SERVICES
-
-logo.mimosa.alt=Potential vorticity, temperature analysis and forecasts
-logo.reprobus.alt=Chemistry Transport Model in Polar Winters
-logo.iasi.alt=Infrared Atmospheric Sounding Interferometer
-logo.tropico.alt=TRO-pico campaign
-logo.geisa.alt=Spectroscopic data
-logo.mozaic.alt=Measurements of OZone, water vapour, carbon monoxide and nitrogen oxides by in-services AIrbus airCraft
-logo.eccad.alt=Emissions data and ancillary data for emissions calculation
-logo.megapoli.alt=Megacities: Emissions, urban, regional and Global Atmospheric POLlution and climate effects, and Integrated tools for assessment and mitigation
-logo.balloons.alt=Balloon experiments
-logo.satellites.alt=Available data in ETHER
-logo.campaigns.alt=Campaigns
-logo.models.alt=Models
-logo.meteo.alt=Meteo
-logo.ramces.alt=Atmospheric Network for the Measurement of Greenhouse Compounds
-logo.kinetics.alt=Chemical Kinetics Database
-logo.links.alt=Links
-
-
 label.submitButton=RUN
Index: /tapas/web/src/messages_fr.properties
===================================================================
--- /tapas/web/src/messages_fr.properties	(revision 403)
+++ /tapas/web/src/messages_fr.properties	(revision 404)
@@ -16,48 +16,3 @@
 error.ERROR_JSON_TAPAS_IS_NULL=Erreur de crÃ©ation du formulaire Tapas
 
-label.atmosphere.chemistry=Chimie de l&apos;atmosphÃšre
-label.activities=ActivitÃ©s
-label.data.services=DonnÃ©es/Services
-label.community=CommunautÃ©
-label.pole.presentation=PrÃ©sentation du pÃŽle
-label.users.committee=ComitÃ© utilisateurs
-label.laboratories=Laboratoires
-label.workshops=Colloques/Ateliers
-label.ether.letters=Lettres Ether
-label.informations=Informations
-
-label.balloons=Ballons
-label.satellites=Satellites
-label.campaigns=Campagnes
-label.models=ModÃšles
-label.meteo=MÃ©tÃ©o
-label.links=Liens
-
-home.title.part1=Centre de Produits et Services
-home.title.part2=de la Chimie de l&apos;AtmosphÃšre
-home.news=A C T U A L I T E S
-home.main.activities=PRINCIPALES ACTIVITES D&apos;ETHER
-home.data=DONNEES
-home.databases=BASES DE DONNEES
-home.services=SERVICES
-
-logo.mimosa.alt=Potential vorticity, temperature analysis and forecasts
-logo.reprobus.alt=Chemistry Transport Model in Polar Winters
-logo.iasi.alt=Infrared Atmospheric Sounding Interferometer
-logo.tropico.alt=TRO-pico campaign
-logo.geisa.alt=Spectroscopic data
-logo.mozaic.alt=Measurements of OZone, water vapour, carbon monoxide and nitrogen oxides by in-services AIrbus airCraft
-logo.eccad.alt=Emissions data and ancillary data for emissions calculation
-logo.megapoli.alt=Megacities: Emissions, urban, regional and Global Atmospheric POLlution and climate effects, and Integrated tools for assessment and mitigation
-logo.balloons.alt=Ballons
-logo.satellites.alt=DonnÃ©es disponibles dans ETHER
-logo.campaigns.alt=Campagnes
-logo.models.alt=ModÃšles
-logo.meteo.alt=MÃ©tÃ©o
-logo.ramces.alt=RÃ©seau atmosphÃ©rique de Mesure des ComposÃ©s Ã  Effet de Serre
-logo.kinetics.alt=Chemical Kinetics Database
-logo.links.alt=Liens
-
-
 label.submitButton=COURIR
-